Bug 163071 - Crash when manipulating or deleting messages from inbox [KMail::FolderJob::msgList, KMAcctImap::ignoreJobsForMessage, KMMoveCommand::execute, KMCommand::slotPostTransfer]
Summary: Crash when manipulating or deleting messages from inbox [KMail::FolderJob::ms...
Status: RESOLVED FIXED
Alias: None
Product: kmail
Classification: Applications
Component: IMAP (show other bugs)
Version: 1.12.90
Platform: unspecified Linux
: HI crash with 280 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: triaged
: 126999 163775 168848 170296 172936 173552 180666 180824 182152 182562 183134 183147 183294 183414 186041 186167 187950 188013 188532 190069 191165 192078 192662 193366 193642 193667 195598 195870 195945 196478 197692 198044 198302 198503 199700 200022 200406 200644 201825 203089 203105 203361 203459 203914 205960 206040 206309 206726 206962 207235 207758 208815 209605 209629 210120 210960 211431 211673 211956 212288 212303 212510 212682 213807 213901 213944 214040 214189 214528 215416 215799 216775 217076 217249 217507 217758 217999 218459 218647 218953 219003 220600 220687 221652 221781 222182 222371 224159 224218 224294 224423 224699 224873 225950 226415 229236 229345 229376 231225 231297 234577 235831 236537 237063 237366 237638 238281 238414 238435 238464 238720 239039 240193 241940 242143 242494 243282 243750 244057 246069 246112 246334 246817 247496 247512 249381 249666 252558 252678 254069 254962 256136 256678 256992 257998 258950 262334 262442 262472 263924 264191 264828 265639 267372 267501 267983 269534 270485 270832 272898 273662 274028 274450 275453 276284 277355 277529 278585 280610 280831 282087 283069 283645 (view as bug list)
Depends on:
Blocks:
 
Reported: 2008-06-02 15:24 UTC by Marcus Better
Modified: 2012-06-13 01:14 UTC (History)
9 users (show)

See Also:
Latest Commit:
Version Fixed In: kdepim 4.6


Attachments
Stack of the crash (5.07 KB, text/plain)
2009-07-30 21:37 UTC, Luca Pertile
Details
Usual crash while cleaning up my inbox (3.50 KB, text/plain)
2009-08-08 06:39 UTC, Arthur Pemberton
Details
New crash information added by DrKonqi (4.63 KB, text/plain)
2010-01-14 08:15 UTC, Murz
Details
New crash information added by DrKonqi (6.68 KB, text/plain)
2010-02-25 15:43 UTC, Daniel Hahler
Details
New crash information added by DrKonqi (4.87 KB, text/plain)
2010-03-25 18:52 UTC, Marc Hildebrandt
Details
New crash information added by DrKonqi (4.98 KB, text/plain)
2010-04-14 08:16 UTC, Evan Cofsky
Details
backtrace (5.67 KB, text/plain)
2010-04-23 22:10 UTC, Filipe
Details
New crash information added by DrKonqi (4.86 KB, text/plain)
2010-04-26 20:15 UTC, Toby Fox
Details
New crash information added by DrKonqi (4.21 KB, text/plain)
2010-05-06 18:53 UTC, Petr Mrázek
Details
New crash information added by DrKonqi (3.27 KB, text/plain)
2010-06-17 23:03 UTC, Hyacinthe Cartiaux
Details
New crash information added by DrKonqi (5.63 KB, text/plain)
2010-07-29 20:32 UTC, Daniel Molina Wegener
Details
New crash information added by DrKonqi (6.02 KB, text/plain)
2010-08-13 10:03 UTC, gianted
Details
New crash information added by DrKonqi (5.75 KB, text/plain)
2010-10-22 03:07 UTC, Kai Krakow
Details
New crash information added by DrKonqi (5.75 KB, text/plain)
2010-10-22 03:07 UTC, Kai Krakow
Details
New crash information added by DrKonqi (6.37 KB, text/plain)
2010-10-30 20:39 UTC, andrea-tag
Details
New crash information added by DrKonqi (5.08 KB, text/plain)
2010-11-04 12:31 UTC, thomas
Details
New crash information added by DrKonqi (5.53 KB, text/plain)
2011-01-03 17:08 UTC, clara.schuster
Details
New crash information added by DrKonqi (5.52 KB, text/plain)
2011-01-06 16:41 UTC, p92
Details
New crash information added by DrKonqi (5.43 KB, text/plain)
2011-01-30 08:51 UTC, Dimitrios Glentadakis
Details
New crash information added by DrKonqi (7.39 KB, text/plain)
2011-02-19 18:35 UTC, Shoham Levy
Details
New crash information added by DrKonqi (6.29 KB, text/plain)
2012-06-13 01:14 UTC, swisskomputer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marcus Better 2008-06-02 15:24:03 UTC
Version:           1.9.51 (using 4.00.80 (KDE 4.0.80 >= (KDE 4.1 Beta1), Debian packages)
Compiler:          cc
OS:                Linux (x86_64) release 2.6.25-melech

This happened when deleting messages from the inbox of an IMAP store (i.e. moving them to Trash).

Program: KMail (kmail), signal SIGSEGV
[Thread debugging using libthread_db enabled]
[New Thread 0x7f8b0bf04780 (LWP 18644)]
[KCrash handler]
#5  KMail::FolderJob::msgList (this=0x7f8b03d18f26)
    at /usr/include/qt4/QtCore/qatomic_x86_64.h:123
#6  0x00007f8b0b7afc6d in KMAcctImap::ignoreJobsForMessage (this=0x8e6cf0, 
    msg=0x99e0d0) at /tmp/buildd/kde4pim-4.0.80/kmail/kmacctimap.cpp:200
#7  0x00007f8b0b8daa2e in KMMoveCommand::execute (this=0xcf9500)
    at /tmp/buildd/kde4pim-4.0.80/kmail/kmcommands.cpp:2088
#8  0x00007f8b0b8c2d03 in KMCommand::slotPostTransfer (this=0xcf9500, 
    result=KMCommand::OK)
    at /tmp/buildd/kde4pim-4.0.80/kmail/kmcommands.cpp:272
#9  0x00007f8b0b8c9534 in KMCommand::qt_metacall (this=0xcf9500, 
    _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, 
    _a=0x7fff14048740)
    at /tmp/buildd/kde4pim-4.0.80/obj-x86_64-linux-gnu/kmail/kmcommands.moc:86
#10 0x00007f8b0b8e17a5 in KMMoveCommand::qt_metacall (this=0x7fff14048330, 
    _c=64065318, _id=13685232, _a=0x1)
    at /tmp/buildd/kde4pim-4.0.80/obj-x86_64-linux-gnu/kmail/kmcommands.moc:1662
#11 0x00007f8b0a7cacd6 in QMetaObject::activate (sender=0xcf9500, 
    from_signal_index=<value optimized out>, to_signal_index=4, argv=0x1)
    at kernel/qobject.cpp:3010
#12 0x00007f8b0b8bf57e in KMCommand::messagesTransfered (this=0x7fff14048330, 
    _t1=KMCommand::OK)
    at /tmp/buildd/kde4pim-4.0.80/obj-x86_64-linux-gnu/kmail/kmcommands.moc:100
#13 0x00007f8b0b8d9bf9 in KMCommand::transferSelectedMsgs (this=0xcf9500)
    at /tmp/buildd/kde4pim-4.0.80/kmail/kmcommands.cpp:366
#14 0x00007f8b0b8d9f62 in KMCommand::slotStart (this=0xcf9500)
    at /tmp/buildd/kde4pim-4.0.80/kmail/kmcommands.cpp:264
#15 0x00007f8b0b8c9524 in KMCommand::qt_metacall (this=0xcf9500, 
    _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, 
    _a=0x7fff140489d0)
    at /tmp/buildd/kde4pim-4.0.80/obj-x86_64-linux-gnu/kmail/kmcommands.moc:85
#16 0x00007f8b0b8e17a5 in KMMoveCommand::qt_metacall (this=0x7fff14048330, 
    _c=64065318, _id=13685232, _a=0x1)
    at /tmp/buildd/kde4pim-4.0.80/obj-x86_64-linux-gnu/kmail/kmcommands.moc:1662
#17 0x00007f8b0a7cacd6 in QMetaObject::activate (sender=0xc6ccd0, 
    from_signal_index=<value optimized out>, to_signal_index=4, argv=0x1)
    at kernel/qobject.cpp:3010
#18 0x00007f8b0a7d140f in QSingleShotTimer::timerEvent (this=0xc6ccd0)
    at kernel/qtimer.cpp:300
#19 0x00007f8b0a7c5785 in QObject::event (this=0xc6ccd0, e=0x7f8b03d18f26)
    at kernel/qobject.cpp:1105
#20 0x00007f8b09cf74df in QApplicationPrivate::notify_helper (this=0x62e700, 
    receiver=0xc6ccd0, e=0x7fff14049010) at kernel/qapplication.cpp:3772
#21 0x00007f8b09cfc0b5 in QApplication::notify (this=0x7fff14049440, 
    receiver=0xc6ccd0, e=0x7fff14049010) at kernel/qapplication.cpp:3739
#22 0x00007f8b0b12ed2b in KApplication::notify (this=0x7fff14049440, 
    receiver=0xc6ccd0, event=0x7fff14049010)
    at /tmp/buildd/kde4libs-4.0.80/kdeui/kernel/kapplication.cpp:311
#23 0x00007f8b0a7b6bd9 in QCoreApplication::notifyInternal (
    this=0x7fff14049440, receiver=0xc6ccd0, event=0x7fff14049010)
    at kernel/qcoreapplication.cpp:587
#24 0x00007f8b0a7e1e2c in QTimerInfoList::activateTimers (this=0x631c20)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#25 0x00007f8b0a7df99d in timerSourceDispatch (source=<value optimized out>)
    at kernel/qeventdispatcher_glib.cpp:166
#26 0x00007f8b02c060f2 in g_main_context_dispatch ()
   from /usr/lib/libglib-2.0.so.0
#27 0x00007f8b02c09396 in ?? () from /usr/lib/libglib-2.0.so.0
#28 0x00007f8b02c0982f in g_main_context_iteration ()
   from /usr/lib/libglib-2.0.so.0
#29 0x00007f8b0a7dfdff in QEventDispatcherGlib::processEvents (this=0x620c80, 
    flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:325
#30 0x00007f8b09d8020f in QGuiEventDispatcherGlib::processEvents (
    this=0x7fff14048330, flags=<value optimized out>)
    at kernel/qguieventdispatcher_glib.cpp:204
#31 0x00007f8b0a7b6055 in QEventLoop::processEvents (
    this=<value optimized out>, flags=@0x7fff14049260)
    at kernel/qeventloop.cpp:149
#32 0x00007f8b0a7b61ab in QEventLoop::exec (this=0x7fff140492a0, 
    flags=@0x7fff140492b0) at kernel/qeventloop.cpp:200
#33 0x00007f8b0a7b81f9 in QCoreApplication::exec ()
    at kernel/qcoreapplication.cpp:845
#34 0x0000000000402d7a in main (argc=<value optimized out>, 
    argv=<value optimized out>)
    at /tmp/buildd/kde4pim-4.0.80/kmail/main.cpp:130
#0  0x00007f8b0935b210 in __nanosleep_nocancel () from /lib/libc.so.6
Comment 1 Christophe Marin 2008-06-11 12:09:19 UTC
*** Bug 163775 has been marked as a duplicate of this bug. ***
Comment 2 Marcus Better 2008-06-11 13:31:20 UTC
Oops, duplicated my own bug - sorry for the noise :) (And would someone please fix the search function in Bugzilla?)
Comment 3 Christophe Marin 2008-08-10 17:12:36 UTC
*** Bug 168848 has been marked as a duplicate of this bug. ***
Comment 4 Bram Schoenmakers 2008-09-08 18:54:34 UTC
*** Bug 170296 has been marked as a duplicate of this bug. ***
Comment 5 Oliver Putz 2008-10-21 21:32:10 UTC
Confirming as I just got the same backtrace as in (my) bugreport #168848 which was marked as a duplicate of this one (KDE version ~4.1.68)

What I did:

I deleted a (unread) message from my IMAP inbox. While it was being deleted I went over several other unread mails in the same folder (thereby marking them read) and before the deletion of the first message finished, I hit the delete button on yet another unread message in the same inbox.

The backtrace was:

#6  0x464d4b28 in ?? ()
#7  0xb1c5dc72 in KMAcctImap::ignoreJobsForMessage (this=0x83eb220, msg=0x87203b0) at /var/tmp/portage/kde-base/kmail-9999/work/kmail/kmail/kmacctimap.cpp:217
#8  0xb1c7051b in KMFolderImap::ignoreJobsForMessage (this=0x845af18, msg=0x87203b0) at /var/tmp/portage/kde-base/kmail-9999/work/kmail/kmail/kmfolderimap.cpp:1543
#9  0xb1d3277a in KMMoveCommand::execute (this=0x8bc3560) at /var/tmp/portage/kde-base/kmail-9999/work/kmail/kmail/kmcommands.cpp:2089
#10 0xb1d40bc5 in KMCommand::slotPostTransfer (this=0x8bc3560, result=KMCommand::OK) at /var/tmp/portage/kde-base/kmail-9999/work/kmail/kmail/kmcommands.cpp:273
#11 0xb1d40dde in KMCommand::qt_metacall (this=0x8bc3560, _c=QMetaObject::InvokeMetaMethod, _id=5, _a=0xbf9c08bc) at /var/tmp/portage/kde-base/kmail-9999/work/kmail_build/kmail/kmcommands.moc:86
#12 0xb1d41326 in KMMoveCommand::qt_metacall (this=0x8bc3560, _c=QMetaObject::InvokeMetaMethod, _id=9, _a=0xbf9c08bc)
    at /var/tmp/portage/kde-base/kmail-9999/work/kmail_build/kmail/kmcommands.moc:1662
#13 0xb1d413da in KMDeleteMsgCommand::qt_metacall (this=0x8bc3560, _c=QMetaObject::InvokeMetaMethod, _id=9, _a=0xbf9c08bc)
    at /var/tmp/portage/kde-base/kmail-9999/work/kmail_build/kmail/kmcommands.moc:1712
#14 0xb7ed64e1 in QMetaObject::activate (sender=0x8bc3560, from_signal_index=<value optimized out>, to_signal_index=4, argv=0xbf9c08bc) at kernel/qobject.cpp:3028
#15 0xb7ed83d8 in QMetaObject::activate (sender=0x8bc3560, m=0xb1fbca14, local_signal_index=0, argv=0xbf9c08bc) at kernel/qobject.cpp:3098
#16 0xb1d28e8d in KMCommand::messagesTransfered (this=0x8bc3560, _t1=KMCommand::OK) at /var/tmp/portage/kde-base/kmail-9999/work/kmail_build/kmail/kmcommands.moc:100
#17 0xb1d40ae7 in KMCommand::transferSelectedMsgs (this=0x8bc3560) at /var/tmp/portage/kde-base/kmail-9999/work/kmail/kmail/kmcommands.cpp:367
#18 0xb1d41e08 in KMCommand::slotStart (this=0x8bc3560) at /var/tmp/portage/kde-base/kmail-9999/work/kmail/kmail/kmcommands.cpp:265
#19 0xb1d40dc4 in KMCommand::qt_metacall (this=0x8bc3560, _c=QMetaObject::InvokeMetaMethod, _id=4, _a=0xbf9c0ad8) at /var/tmp/portage/kde-base/kmail-9999/work/kmail_build/kmail/kmcommands.moc:85
#20 0xb1d41326 in KMMoveCommand::qt_metacall (this=0x8bc3560, _c=QMetaObject::InvokeMetaMethod, _id=8, _a=0xbf9c0ad8)
    at /var/tmp/portage/kde-base/kmail-9999/work/kmail_build/kmail/kmcommands.moc:1662
#21 0xb1d413da in KMDeleteMsgCommand::qt_metacall (this=0x8bc3560, _c=QMetaObject::InvokeMetaMethod, _id=8, _a=0xbf9c0ad8)
    at /var/tmp/portage/kde-base/kmail-9999/work/kmail_build/kmail/kmcommands.moc:1712
#22 0xb7ed64e1 in QMetaObject::activate (sender=0x8b2a5f0, from_signal_index=<value optimized out>, to_signal_index=4, argv=0x0) at kernel/qobject.cpp:3028
#23 0xb7ed83d8 in QMetaObject::activate (sender=0x8b2a5f0, m=0xb7fa39e4, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3098
#24 0xb7edc005 in QSingleShotTimer::timeout (this=0x8b2a5f0) at .moc/debug-shared/qtimer.moc:74
#25 0xb7edc106 in QSingleShotTimer::timerEvent (this=0x8b2a5f0) at kernel/qtimer.cpp:300
#26 0xb7ecf969 in QObject::event (this=0x8b2a5f0, e=0xbf9c0f8c) at kernel/qobject.cpp:1117
#27 0xb5a22fab in QApplicationPrivate::notify_helper (this=0x8066200, receiver=0x8b2a5f0, e=0xbf9c0f8c) at kernel/qapplication.cpp:3809
#28 0xb5a29ae5 in QApplication::notify (this=0xbf9c1348, receiver=0x8b2a5f0, e=0xbf9c0f8c) at kernel/qapplication.cpp:3399
#29 0xb7a0f2b1 in KApplication::notify (this=0xbf9c1348, receiver=0x8b2a5f0, event=0xbf9c0f8c) at /var/tmp/portage/kde-base/kdelibs-9999/work/kdelibs-9999/kdeui/kernel/kapplication.cpp:307
#30 0xb7ebfb21 in QCoreApplication::notifyInternal (this=0xbf9c1348, receiver=0x8b2a5f0, event=0xbf9c0f8c) at kernel/qcoreapplication.cpp:593
#31 0xb7eec36e in QTimerInfoList::activateTimers (this=0x8067a34) at kernel/qcoreapplication.h:215
#32 0xb7eec532 in QEventDispatcherUNIX::processEvents (this=0x80670f0, flags={i = -1080290772}) at kernel/qeventdispatcher_unix.cpp:899
#33 0xb5ab864f in QEventDispatcherX11::processEvents (this=0x80670f0, flags={i = -1080290712}) at kernel/qeventdispatcher_x11.cpp:154
#34 0xb7ebe6b0 in QEventLoop::processEvents (this=0xbf9c12e0, flags={i = -1080290648}) at kernel/qeventloop.cpp:149
#35 0xb7ebe852 in QEventLoop::exec (this=0xbf9c12e0, flags={i = -1080290584}) at kernel/qeventloop.cpp:200
#36 0xb7ec0c6f in QCoreApplication::exec () at kernel/qcoreapplication.cpp:851
#37 0xb5a22d43 in QApplication::exec () at kernel/qapplication.cpp:3337
#38 0x0804b901 in main (argc=3, argv=0xbf9c1504) at /var/tmp/portage/kde-base/kontact-9999/work/kontact/kontact/src/main.cpp:218
Comment 6 Christophe Marin 2008-10-26 11:18:41 UTC
*** Bug 173552 has been marked as a duplicate of this bug. ***
Comment 7 Christophe Marin 2008-10-26 11:25:31 UTC
*** Bug 172936 has been marked as a duplicate of this bug. ***
Comment 8 Dario Andres 2009-01-15 22:56:21 UTC
*** Bug 180666 has been marked as a duplicate of this bug. ***
Comment 9 Dario Andres 2009-01-15 22:56:30 UTC
*** Bug 180824 has been marked as a duplicate of this bug. ***
Comment 10 Dario Andres 2009-01-31 13:06:25 UTC
*** Bug 182562 has been marked as a duplicate of this bug. ***
Comment 11 Dario Andres 2009-01-31 13:07:32 UTC
As stated in bug 182556 this is still happening in KDE4.2.0
Comment 12 Dario Andres 2009-02-04 19:12:47 UTC
*** Bug 183147 has been marked as a duplicate of this bug. ***
Comment 13 Dario Andres 2009-02-04 19:23:55 UTC
*** Bug 183134 has been marked as a duplicate of this bug. ***
Comment 14 Dario Andres 2009-02-06 13:06:35 UTC
*** Bug 183414 has been marked as a duplicate of this bug. ***
Comment 15 Jaime Torres 2009-02-14 21:36:17 UTC
*** Bug 183294 has been marked as a duplicate of this bug. ***
Comment 16 Dario Andres 2009-03-04 14:17:32 UTC
*** Bug 186041 has been marked as a duplicate of this bug. ***
Comment 17 Dario Andres 2009-03-05 23:47:23 UTC
*** Bug 186167 has been marked as a duplicate of this bug. ***
Comment 18 Christophe Marin 2009-03-09 10:45:19 UTC
*** Bug 182152 has been marked as a duplicate of this bug. ***
Comment 19 Jaime Torres 2009-03-24 09:02:14 UTC
*** Bug 187950 has been marked as a duplicate of this bug. ***
Comment 20 Dario Andres 2009-03-25 14:20:20 UTC
*** Bug 188013 has been marked as a duplicate of this bug. ***
Comment 21 Dario Andres 2009-03-31 14:17:48 UTC
*** Bug 188532 has been marked as a duplicate of this bug. ***
Comment 22 Dario Andres 2009-04-19 15:19:16 UTC
*** Bug 190069 has been marked as a duplicate of this bug. ***
Comment 23 Dario Andres 2009-05-01 00:57:02 UTC
*** Bug 191165 has been marked as a duplicate of this bug. ***
Comment 24 Dario Andres 2009-05-12 18:35:48 UTC
*** Bug 192078 has been marked as a duplicate of this bug. ***
Comment 25 Dario Andres 2009-05-15 00:17:51 UTC
*** Bug 192662 has been marked as a duplicate of this bug. ***
Comment 26 Davide Ferrari 2009-05-18 17:01:27 UTC
FYI, still crashing with KDE 4.2.3 and Qt 4.5.1
The backtrace looks like the same, AFAIK

Application: KMail (kmail), signal SIGSEGV

Thread 1 (Thread 0xb3ba3b40 (LWP 1009)):
[KCrash Handler]
#6  KMail::FolderJob::msgList (this=0x2d0039) at /usr/include/qt4/QtCore/qlist.h:111
#7  0xb739dafb in KMAcctImap::ignoreJobsForMessage (this=0x8a5ed30, msg=0x9759398) at /build/buildd/kdepim-4.2.3/kmail/kmacctimap.cpp:215
#8  0xb73b67e5 in KMFolderImap::ignoreJobsForMessage (this=0x87f74c8, msg=0x9759398) at /build/buildd/kdepim-4.2.3/kmail/kmfolderimap.cpp:1562
#9  0xb74d9ee6 in KMMoveCommand::execute (this=0x9abe790) at /build/buildd/kdepim-4.2.3/kmail/kmcommands.cpp:2089
#10 0xb74bd342 in KMCommand::slotPostTransfer (this=0x9abe790, result=KMCommand::OK) at /build/buildd/kdepim-4.2.3/kmail/kmcommands.cpp:276
#11 0xb74c8f94 in KMCommand::qt_metacall (this=0x9abe790, _c=QMetaObject::InvokeMetaMethod, _id=5, _a=0xbfb1998c) at /build/buildd/kdepim-4.2.3/obj-i486-linux-gnu/kmail/kmcommands.moc:87
#12 0xb74dbeda in KMMoveCommand::qt_metacall (this=0x9abe790, _c=QMetaObject::InvokeMetaMethod, _id=9, _a=0xbfb1998c) at /build/buildd/kdepim-4.2.3/obj-i486-linux-gnu/kmail/kmcommands.moc:1706
#13 0xb5e67a58 in QMetaObject::activate (sender=0x9abe790, from_signal_index=4, to_signal_index=4, argv=0xbfb1998c) at kernel/qobject.cpp:3120
#14 0xb5e686e2 in QMetaObject::activate (sender=0x9abe790, m=0xb79449b4, local_signal_index=0, argv=0xbfb1998c) at kernel/qobject.cpp:3194
#15 0xb74b99b3 in KMCommand::messagesTransfered (this=0x9abe790, _t1=KMCommand::OK) at /build/buildd/kdepim-4.2.3/obj-i486-linux-gnu/kmail/kmcommands.moc:102
#16 0xb74d86cc in KMCommand::transferSelectedMsgs (this=0x9abe790) at /build/buildd/kdepim-4.2.3/kmail/kmcommands.cpp:370
#17 0xb74d892f in KMCommand::slotStart (this=0x9abe790) at /build/buildd/kdepim-4.2.3/kmail/kmcommands.cpp:268
#18 0xb74c8fa3 in KMCommand::qt_metacall (this=0x9abe790, _c=QMetaObject::InvokeMetaMethod, _id=4, _a=0xbfb19b68) at /build/buildd/kdepim-4.2.3/obj-i486-linux-gnu/kmail/kmcommands.moc:86
#19 0xb74dbeda in KMMoveCommand::qt_metacall (this=0x9abe790, _c=QMetaObject::InvokeMetaMethod, _id=8, _a=0xbfb19b68) at /build/buildd/kdepim-4.2.3/obj-i486-linux-gnu/kmail/kmcommands.moc:1706
#20 0xb5e67a58 in QMetaObject::activate (sender=0x9641ec0, from_signal_index=4, to_signal_index=4, argv=0x0) at kernel/qobject.cpp:3120
#21 0xb5e686e2 in QMetaObject::activate (sender=0x9641ec0, m=0xb5f43908, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3194
#22 0xb5e6ce57 in QSingleShotTimer::timeout (this=0x9641ec0) at .moc/release-shared/qtimer.moc:76
#23 0xb5e6cf7c in QSingleShotTimer::timerEvent (this=0x9641ec0) at kernel/qtimer.cpp:298
#24 0xb5e61f0f in QObject::event (this=0x9641ec0, e=0xbfb19fec) at kernel/qobject.cpp:1082
#25 0xb60dcbcc in QApplicationPrivate::notify_helper (this=0x85ea860, receiver=0x9641ec0, e=0xbfb19fec) at kernel/qapplication.cpp:4057
#26 0xb60e4ede in QApplication::notify (this=0xbfb1a308, receiver=0x9641ec0, e=0xbfb19fec) at kernel/qapplication.cpp:3604
#27 0xb7d37e5d in KApplication::notify (this=0xbfb1a308, receiver=0x9641ec0, event=0xbfb19fec) at /build/buildd/kde4libs-4.2.3/kdeui/kernel/kapplication.cpp:307
#28 0xb5e517ab in QCoreApplication::notifyInternal (this=0xbfb1a308, receiver=0x9641ec0, event=0xbfb19fec) at kernel/qcoreapplication.cpp:610
#29 0xb5e80b31 in QTimerInfoList::activateTimers (this=0x85eb8bc) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
#30 0xb5e7d280 in timerSourceDispatch (source=0x85eb888) at kernel/qeventdispatcher_glib.cpp:164
#31 0xb42a3b88 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#32 0xb42a70eb in ?? () from /usr/lib/libglib-2.0.so.0
#33 0xb42a7268 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#34 0xb5e7d1d8 in QEventDispatcherGlib::processEvents (this=0x85cf548, flags={i = -1078877848}) at kernel/qeventdispatcher_glib.cpp:324
#35 0xb617e765 in QGuiEventDispatcherGlib::processEvents (this=0x85cf548, flags={i = -1078877800}) at kernel/qguieventdispatcher_glib.cpp:202
#36 0xb5e4fdda in QEventLoop::processEvents (this=0xbfb1a210, flags={i = -1078877736}) at kernel/qeventloop.cpp:149
#37 0xb5e5021a in QEventLoop::exec (this=0xbfb1a210, flags={i = -1078877672}) at kernel/qeventloop.cpp:200
#38 0xb5e526c9 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
#39 0xb60dca47 in QApplication::exec () at kernel/qapplication.cpp:3526
#40 0x0804a7a0 in main (argc=) at /build/buildd/kdepim-4.2.3/kmail/main.cpp:146
Comment 27 Dario Andres 2009-05-20 15:47:17 UTC
*** Bug 193366 has been marked as a duplicate of this bug. ***
Comment 28 Dario Andres 2009-05-22 16:21:39 UTC
*** Bug 193642 has been marked as a duplicate of this bug. ***
Comment 29 Dario Andres 2009-05-22 20:09:51 UTC
*** Bug 193667 has been marked as a duplicate of this bug. ***
Comment 30 Dario Andres 2009-06-07 22:41:43 UTC
*** Bug 195598 has been marked as a duplicate of this bug. ***
Comment 31 Dario Andres 2009-06-10 15:01:25 UTC
*** Bug 195870 has been marked as a duplicate of this bug. ***
Comment 32 Malte S. Stretz 2009-06-10 15:06:58 UTC
Confirmed on 4.2.4 (bumped version to 1.11.4).
Comment 33 Dario Andres 2009-06-11 00:38:58 UTC
*** Bug 195945 has been marked as a duplicate of this bug. ***
Comment 34 Jithin Emmanuel 2009-06-12 04:59:33 UTC
I am noticing this crash not only on INBOX , I have a folder spam in my local folders to which I am redirecting SPAM mails. If I select to move all the messages in the folder to Trash it crashes, though the deletion is successful.
Comment 35 Peter Lewis 2009-06-12 10:01:06 UTC
Yes, this happens on any folder.

From quite a lot of experience with this bug, my hunch is that it might be to do with a message being deleted while it's being downloaded. This isn't a problem per-se, but if the download is triggered by a request to display it in the preview pane, I think, then when the preview pane tries to display it, the message no longer exists.

Is this a possibility?
Comment 36 Michal Hlavinka 2009-06-12 10:28:14 UTC
(In reply to comment #35)
> Yes, this happens on any folder.
> 
> ... it might be to
> do with a message being deleted while it's being downloaded. ...
> 
> Is this a possibility?

not only this, it crash when you delete a message if there is already delete queue running (if you delete a lot of messages and delete another one before first selected messages are deleted)... at least for imap folders
Comment 37 Dario Andres 2009-06-15 03:32:33 UTC
*** Bug 196478 has been marked as a duplicate of this bug. ***
Comment 38 Dario Andres 2009-06-24 15:54:56 UTC
*** Bug 197692 has been marked as a duplicate of this bug. ***
Comment 39 Christophe Marin 2009-06-30 08:39:02 UTC
*** Bug 198302 has been marked as a duplicate of this bug. ***
Comment 40 Jithin Emmanuel 2009-06-30 08:50:58 UTC
On Tuesday 30 Jun 2009 12:09:04 pm Christophe Giboudeaux wrote:
> https://bugs.kde.org/show_bug.cgi?id=163071
>
>
> Christophe Giboudeaux <cgiboudeaux@gmail.com> changed:
>
>            What    |Removed                     |Added
> ---------------------------------------------------------------------------
>- CC|                            |marc@links2linux.de
>
>
>
>
> --- Comment #39 from Christophe Giboudeaux <cgiboudeaux gmail com> 
> 2009-06-30 08:39:02 --- *** Bug 198302 has been marked as a duplicate of
> this bug. ***
I don't see this bug anymore with kde 4.2.90
Comment 41 Peter Lewis 2009-06-30 13:30:40 UTC
On Tuesday 30 June 2009 07:51:04 Jithin Emmanuel wrote:
> I don't see this bug anymore with kde 4.2.90

I haven't observed it since I've been using the pre-4.3 snapshots either (I'm 
now on 4.2.95).

However, I would urge some caution, since for me at least, it's been fairly 
fickle to trigger.

Well done though - I like the new moving between messages action. Seems much 
faster.
Comment 42 Marc Schiffbauer 2009-06-30 14:06:11 UTC
If this is really a duplicate of #198302, then its NOT fixed in 4.2.91 ...
Comment 43 Marc Schiffbauer 2009-07-02 14:43:03 UTC
Ok, fixed for me on 4.2.95
Comment 44 Michal Hlavinka 2009-07-02 14:49:04 UTC
(In reply to comment #43)
> Ok, fixed for me on 4.2.95

I can still reproduce the crash using 4.2.95 when deleting emails from imap folder and delete another one before queue is finished.
Comment 45 Michal Hlavinka 2009-07-02 15:21:27 UTC
(In reply to comment #44)
> (In reply to comment #43)
> > Ok, fixed for me on 4.2.95
> 
> I can still reproduce the crash using 4.2.95 when deleting emails from imap
> folder and delete another one before queue is finished.

taking back, this was unrelated coincidence... backtrace is looking different

it seems it's related to email containing calendar invitation:

#2  <signal handler called>
#3  0x00007f02f9368ad0 in QString::operator=(QString const&) () from /usr/lib64/libQtCore.so.4
#4  0x00007f02fac87a5f in invitationsDetailsIncidence(struct KCal::Incidence *, bool) (incidence=0x2f6f810, noHtmlMode=<value optimized out>) at /usr/src/debug/kdepimlibs-4.2.95/kcal/incidenceformatter.cpp:715
#5  0x00007f02fac90a16 in invitationDetailsEvent(struct KCal::Event *, bool) (event=0x2f6f810, noHtmlMode=true) at /usr/src/debug/kdepimlibs-4.2.95/kcal/incidenceformatter.cpp:827
#6  0x00007f02fac94555 in KCal::IncidenceFormatter::InvitationBodyVisitor::visit (this=0x7fff361972a0, event=0x7fff36196d80) at /usr/src/debug/kdepimlibs-4.2.95/kcal/incidenceformatter.cpp:1272
#7  0x00007f02fac8005f in KCal::IncidenceFormatter::ScheduleMessageVisitor::act (msg=<value optimized out>, incidence=<value optimized out>, this=<value optimized out>) at /usr/src/debug/kdepimlibs-4.2.95/kcal/incidenceformatter.cpp:1227
#8  formatICalInvitationHelper(QString, struct KCal::Calendar *, KCal::InvitationFormatterHelper *, bool) (msg=<value optimized out>, incidence=<value optimized out>, this=<value optimized out>) at /usr/src/debug/kdepimlibs-4.2.95/kcal/incidenceformatter.cpp:1510
#9  0x00007f02fac80f04 in KCal::IncidenceFormatter::formatICalInvitationNoHtml (invitation=<value optimized out>, mCalendar=0x1, helper=0x233a670)
    at /usr/src/debug/kdepimlibs-4.2.95/kcal/incidenceformatter.cpp:1664
#10 0x00007f02dbdf3445 in (anonymous namespace)::Formatter::format(struct KMail::Interface::BodyPart *, struct KMail::HtmlWriter *) (this=<value optimized out>,
    bodyPart=<value optimized out>, writer=0x22fd0e0) at /usr/src/debug/kdepim-4.2.95/plugins/kmail/bodypartformatter/text_calendar.cpp:161
#11 0x00007f02fbbe3699 in KMail::ObjectTreeParser::parseObjectTree (this=0x7fff36197b20, node=0x30c5ee0) at /usr/src/debug/kdepim-4.2.95/kmail/objecttreeparser.cpp:268
#12 0x00007f02fbbe4135 in KMail::ObjectTreeParser::stdChildHandling (this=0x7fff36197e70, child=0x3156fe0) at /usr/src/debug/kdepim-4.2.95/kmail/objecttreeparser.cpp:1136
...

I can't reproduce this bug as such right now with 4.2.95
Comment 46 Allen Winter 2009-07-02 17:19:27 UTC
closing as fixed then
Comment 47 Alex Merry 2009-07-02 20:55:55 UTC
I got this again with 4.3.60 (r986576).  I moved a set of emails between folders on an IMAP account, then moved another set (between the same folders) while the first operation was still happening.  I did this a couple of times before the crash happened.



 -- Backtrace:
Application: KMail (kmail), signal: Segmentation fault
[KCrash Handler]
#5  0x00007fbd71e301f6 in QList (this=0x7fffb82ea310, l=@0x720000009f000010) at /home/kde-devel/qt/include/QtCore/../../../kde-qt/src/corelib/tools/qlist.h:111
#6  0x00007fbd72095224 in KMail::FolderJob::msgList (this=0x720000009f000000) at /home/kde-devel/src/KDE/kdepim/kmail/folderjob.cpp:120
#7  0x00007fbd71f30833 in KMAcctImap::ignoreJobsForMessage (this=0x2498da0, msg=0x35d54c0) at /home/kde-devel/src/KDE/kdepim/kmail/kmacctimap.cpp:215
#8  0x00007fbd71f4efad in KMFolderImap::ignoreJobsForMessage (this=0x21fbca0, msg=0x35d54c0) at /home/kde-devel/src/KDE/kdepim/kmail/kmfolderimap.cpp:1564
#9  0x00007fbd72043d34 in KMMoveCommand::execute (this=0x36ba410) at /home/kde-devel/src/KDE/kdepim/kmail/kmcommands.cpp:2144
#10 0x00007fbd720357d4 in KMCommand::slotPostTransfer (this=0x36ba410, result=KMCommand::OK) at /home/kde-devel/src/KDE/kdepim/kmail/kmcommands.cpp:277
#11 0x00007fbd720506b7 in KMCommand::qt_metacall (this=0x36ba410, _c=QMetaObject::InvokeMetaMethod, _id=5, _a=0x7fffb82ea710) at /home/kde-devel/build/KDE/kdepim/kmail/kmcommands.moc:87
#12 0x00007fbd72052145 in KMMoveCommand::qt_metacall (this=0x36ba410, _c=QMetaObject::InvokeMetaMethod, _id=9, _a=0x7fffb82ea710) at /home/kde-devel/build/KDE/kdepim/kmail/kmcommands.moc:1749
#13 0x00007fbd6f66dee9 in QMetaObject::activate (sender=0x36ba410, from_signal_index=4, to_signal_index=4, argv=0x7fffb82ea710) at /home/kde-devel/kde-qt/src/corelib/kernel/qobject.cpp:3119
#14 0x00007fbd6f66e28d in QMetaObject::activate (sender=0x36ba410, m=0x7fbd726837c0, local_signal_index=0, argv=0x7fffb82ea710) at /home/kde-devel/kde-qt/src/corelib/kernel/qobject.cpp:3193
#15 0x00007fbd7205074a in KMCommand::messagesTransfered (this=0x36ba410, _t1=KMCommand::OK) at /home/kde-devel/build/KDE/kdepim/kmail/kmcommands.moc:102
#16 0x00007fbd72036028 in KMCommand::transferSelectedMsgs (this=0x36ba410) at /home/kde-devel/src/KDE/kdepim/kmail/kmcommands.cpp:371
#17 0x00007fbd72035761 in KMCommand::slotStart (this=0x36ba410) at /home/kde-devel/src/KDE/kdepim/kmail/kmcommands.cpp:269
#18 0x00007fbd7205069a in KMCommand::qt_metacall (this=0x36ba410, _c=QMetaObject::InvokeMetaMethod, _id=4, _a=0x7fffb82ea9a0) at /home/kde-devel/build/KDE/kdepim/kmail/kmcommands.moc:86
#19 0x00007fbd72052145 in KMMoveCommand::qt_metacall (this=0x36ba410, _c=QMetaObject::InvokeMetaMethod, _id=8, _a=0x7fffb82ea9a0) at /home/kde-devel/build/KDE/kdepim/kmail/kmcommands.moc:1749
#20 0x00007fbd6f66dee9 in QMetaObject::activate (sender=0x2da1b10, from_signal_index=4, to_signal_index=4, argv=0x0) at /home/kde-devel/kde-qt/src/corelib/kernel/qobject.cpp:3119
#21 0x00007fbd6f66e28d in QMetaObject::activate (sender=0x2da1b10, m=0x7fbd6f98b9a0, local_signal_index=0, argv=0x0) at /home/kde-devel/kde-qt/src/corelib/kernel/qobject.cpp:3193
#22 0x00007fbd6f677b69 in QSingleShotTimer::timeout (this=0x2da1b10) at .moc/debug-shared/qtimer.moc:76
#23 0x00007fbd6f677a6b in QSingleShotTimer::timerEvent (this=0x2da1b10) at /home/kde-devel/kde-qt/src/corelib/kernel/qtimer.cpp:298
#24 0x00007fbd6f669841 in QObject::event (this=0x2da1b10, e=0x7fffb82eb220) at /home/kde-devel/kde-qt/src/corelib/kernel/qobject.cpp:1081
#25 0x00007fbd6dffb856 in QApplicationPrivate::notify_helper (this=0x1d19c60, receiver=0x2da1b10, e=0x7fffb82eb220) at /home/kde-devel/kde-qt/src/gui/kernel/qapplication.cpp:4057
#26 0x00007fbd6dff99df in QApplication::notify (this=0x7fffb82eb730, receiver=0x2da1b10, e=0x7fffb82eb220) at /home/kde-devel/kde-qt/src/gui/kernel/qapplication.cpp:3604
#27 0x00007fbd72da74a7 in KApplication::notify (this=0x7fffb82eb730, receiver=0x2da1b10, event=0x7fffb82eb220) at /home/kde-devel/src/KDE/kdelibs/kdeui/kernel/kapplication.cpp:302
#28 0x00007fbd6f651b7c in QCoreApplication::notifyInternal (this=0x7fffb82eb730, receiver=0x2da1b10, event=0x7fffb82eb220) at /home/kde-devel/kde-qt/src/corelib/kernel/qcoreapplication.cpp:610
#29 0x00007fbd6f655a35 in QCoreApplication::sendEvent (receiver=0x2da1b10, event=0x7fffb82eb220) at ../../include/QtCore/../../../kde-qt/src/corelib/kernel/qcoreapplication.h:213
#30 0x00007fbd6f68e115 in QTimerInfoList::activateTimers (this=0x1d1c8b0) at /home/kde-devel/kde-qt/src/corelib/kernel/qeventdispatcher_unix.cpp:572
#31 0x00007fbd6f689c4c in timerSourceDispatch (source=0x1d1c850) at /home/kde-devel/kde-qt/src/corelib/kernel/qeventdispatcher_glib.cpp:164
#32 0x00007fbd64016dbe in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#33 0x00007fbd6401a568 in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
#34 0x00007fbd6401a690 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#35 0x00007fbd6f68ad25 in QEventDispatcherGlib::processEvents (this=0x1d19820, flags={i = 36}) at /home/kde-devel/kde-qt/src/corelib/kernel/qeventdispatcher_glib.cpp:324
#36 0x00007fbd6e0ba85c in QGuiEventDispatcherGlib::processEvents (this=0x1d19820, flags={i = 36}) at /home/kde-devel/kde-qt/src/gui/kernel/qguieventdispatcher_glib.cpp:202
#37 0x00007fbd6f64edb8 in QEventLoop::processEvents (this=0x7fffb82eb570, flags={i = 36}) at /home/kde-devel/kde-qt/src/corelib/kernel/qeventloop.cpp:149
#38 0x00007fbd6f64eef5 in QEventLoop::exec (this=0x7fffb82eb570, flags={i = 0}) at /home/kde-devel/kde-qt/src/corelib/kernel/qeventloop.cpp:200
#39 0x00007fbd6f65227e in QCoreApplication::exec () at /home/kde-devel/kde-qt/src/corelib/kernel/qcoreapplication.cpp:888
#40 0x00007fbd6dff9626 in QApplication::exec () at /home/kde-devel/kde-qt/src/gui/kernel/qapplication.cpp:3526
#41 0x0000000000403783 in main (argc=3, argv=0x7fffb82eb8c8) at /home/kde-devel/src/KDE/kdepim/kmail/main.cpp:146
Comment 48 Alex Merry 2009-07-02 21:07:36 UTC
My first impression from the backtrace and the code is that maybe the FolderJob is being deleted without being unregistered from KMAcctImap.

Perhaps the problem is that in KMAcctImap::ignoreJobsForMessage, when a job is killed, it is removed from the list that is being iterated over.  From the QList::const_iterator docs:

"be aware that any non-const function call performed on the QList will render all existing iterators undefined"
Comment 49 Christophe Marin 2009-07-07 13:49:01 UTC
*** Bug 198503 has been marked as a duplicate of this bug. ***
Comment 50 Christophe Marin 2009-07-16 10:44:23 UTC
*** Bug 200406 has been marked as a duplicate of this bug. ***
Comment 51 Malte S. Stretz 2009-07-21 21:18:38 UTC
Still happening in 4.3 rc2, witha different backtrace though:

Application: KMail (kmail), signal: Segmentation fault
[KCrash Handler]
#5  KMail::FolderJob::msgList (this=0x7f4bbf35c010) at /usr/include/qt4/QtCore/qatomic_x86_64.h:121
#6  0x00007f4bc1fe8005 in KMAcctImap::ignoreJobsForMessage (this=0x1d71d90, msg=0x34cdd80) at /build/buildd/kdepim-4.2.96/kmail/kmacctimap.cpp:215
#7  0x00007f4bc21065af in KMMoveCommand::execute (this=0x3178b90) at /build/buildd/kdepim-4.2.96/kmail/kmcommands.cpp:2084
#8  0x00007f4bc20ec362 in KMCommand::slotPostTransfer (this=0x3178b90, result=KMCommand::OK) at /build/buildd/kdepim-4.2.96/kmail/kmcommands.cpp:273
#9  0x00007f4bc20f606e in KMCommand::qt_metacall (this=0x3178b90, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffcb3d6a70)
    at /build/buildd/kdepim-4.2.96/obj-x86_64-linux-gnu/kmail/kmcommands.moc:87
#10 0x00007f4bc2108265 in KMMoveCommand::qt_metacall (this=0x7fffcb3d6620, _c=3207970832, _id=55242304, _a=0x37a7fa0) at /build/buildd/kdepim-4.2.96/obj-x86_64-linux-gnu/kmail/kmcommands.moc:1706
#11 0x00007f4bbe1ff1f2 in QMetaObject::activate (sender=0x3178b90, from_signal_index=<value optimized out>, to_signal_index=4, argv=0x37a7fa0) at kernel/qobject.cpp:3069
#12 0x00007f4bc20e958e in KMCommand::messagesTransfered (this=0x7fffcb3d6620, _t1=KMCommand::OK) at /build/buildd/kdepim-4.2.96/obj-x86_64-linux-gnu/kmail/kmcommands.moc:102
#13 0x00007f4bc2104fe8 in KMCommand::transferSelectedMsgs (this=0x3178b90) at /build/buildd/kdepim-4.2.96/kmail/kmcommands.cpp:367
#14 0x00007f4bc2105216 in KMCommand::slotStart (this=0x3178b90) at /build/buildd/kdepim-4.2.96/kmail/kmcommands.cpp:265
#15 0x00007f4bc20f6082 in KMCommand::qt_metacall (this=0x3178b90, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffcb3d6cd0)
    at /build/buildd/kdepim-4.2.96/obj-x86_64-linux-gnu/kmail/kmcommands.moc:86
#16 0x00007f4bc2108265 in KMMoveCommand::qt_metacall (this=0x7fffcb3d6620, _c=3207970832, _id=55242304, _a=0x37a7fa0) at /build/buildd/kdepim-4.2.96/obj-x86_64-linux-gnu/kmail/kmcommands.moc:1706
#17 0x00007f4bbe1ff1f2 in QMetaObject::activate (sender=0x34e8160, from_signal_index=<value optimized out>, to_signal_index=4, argv=0x37a7fa0) at kernel/qobject.cpp:3069
#18 0x00007f4bbe20452f in QSingleShotTimer::timerEvent (this=0x34e8160) at kernel/qtimer.cpp:298
#19 0x00007f4bbe1f94d3 in QObject::event (this=0x34e8160, e=0x7f4bbf35c010) at kernel/qobject.cpp:1082
#20 0x00007f4bbe92e78d in QApplicationPrivate::notify_helper (this=0x1a7a360, receiver=0x34e8160, e=0x7fffcb3d7390) at kernel/qapplication.cpp:4084
#21 0x00007f4bbe93697a in QApplication::notify (this=0x7fffcb3d77f0, receiver=0x34e8160, e=0x7fffcb3d7390) at kernel/qapplication.cpp:4049
#22 0x00007f4bc2dc063b in KApplication::notify (this=0x7fffcb3d77f0, receiver=0x34e8160, event=0x7fffcb3d7390) at /build/buildd/kde4libs-4.2.96/kdeui/kernel/kapplication.cpp:302
#23 0x00007f4bbe1e975c in QCoreApplication::notifyInternal (this=0x7fffcb3d77f0, receiver=0x34e8160, event=0x7fffcb3d7390) at kernel/qcoreapplication.cpp:602
#24 0x00007f4bbe2167f6 in QTimerInfoList::activateTimers (this=0x1a7ca80) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
#25 0x00007f4bbe212f0d in timerSourceDispatch (source=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:164
#26 0x00007f4bb509c20a in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#27 0x00007f4bb509f8e0 in ?? () from /usr/lib/libglib-2.0.so.0
#28 0x00007f4bb509fa7c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#29 0x00007f4bbe212e6f in QEventDispatcherGlib::processEvents (this=0x1a466d0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:323
#30 0x00007f4bbe9c6bef in QGuiEventDispatcherGlib::processEvents (this=0x7fffcb3d6620, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:202
#31 0x00007f4bbe1e8002 in QEventLoop::processEvents (this=<value optimized out>, flags={i = -885164544}) at kernel/qeventloop.cpp:149
#32 0x00007f4bbe1e83cd in QEventLoop::exec (this=0x7fffcb3d7640, flags={i = -885164464}) at kernel/qeventloop.cpp:200
#33 0x00007f4bbe1ea694 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:880
#34 0x00000000004030db in main (argc=<value optimized out>, argv=<value optimized out>) at /build/buildd/kdepim-4.2.96/kmail/main.cpp:146
Comment 52 Christophe Marin 2009-07-22 21:05:58 UTC
*** Bug 198044 has been marked as a duplicate of this bug. ***
Comment 53 Christophe Marin 2009-07-22 22:22:17 UTC
*** Bug 199700 has been marked as a duplicate of this bug. ***
Comment 54 greg.freemyer 2009-07-29 00:35:51 UTC
I was able to reproduce this easily with older releases.

I've just been trying 4.3 RC3 and I can't get it to segfault.  Are others still having issues?  If not I want to close the OpenSUSE bug I opened about this.
Comment 55 Peter Lewis 2009-07-29 13:06:52 UTC
Sorry, I had this just yesterday using 4.2.98. I opened the inbox on an IMAP account, typed a search term in the search bar, selected all the messages and then hit 'delete'. KMail crashed.
Comment 56 Malte S. Stretz 2009-07-29 13:46:34 UTC
Jepp, it wasn't easy but I just managed to crash KMail 4.2.98 by randomly deleting mails from my Spam folder:

Application: KMail (kmail), signal: Segmentation fault
[KCrash Handler]
#5  0x00007f64e377c023 in KMAcctImap::ignoreJobsForMessage (this=0x2485190, msg=0x402bca0) at /build/buildd/kdepim-4.2.98/kmail/kmacctimap.cpp:215
#6  0x00007f64e389a67f in KMMoveCommand::execute (this=0x37dec60) at /build/buildd/kdepim-4.2.98/kmail/kmcommands.cpp:2084
#7  0x00007f64e3880432 in KMCommand::slotPostTransfer (this=0x37dec60, result=KMCommand::OK) at /build/buildd/kdepim-4.2.98/kmail/kmcommands.cpp:273
#8  0x00007f64e388a13e in KMCommand::qt_metacall (this=0x37dec60, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffecb6a220)
    at /build/buildd/kdepim-4.2.98/obj-x86_64-linux-gnu/kmail/kmcommands.moc:87
#9  0x00007f64e389c335 in KMMoveCommand::qt_metacall (this=0x7fffecb69dd0, _c=62713288, _id=61935232, _a=0x3acf340) at /build/buildd/kdepim-4.2.98/obj-x86_64-linux-gnu/kmail/kmcommands.moc:1706
#10 0x00007f64df9941f2 in QMetaObject::activate (sender=0x37dec60, from_signal_index=<value optimized out>, to_signal_index=4, argv=0x3acf340) at kernel/qobject.cpp:3069
#11 0x00007f64e387d65e in KMCommand::messagesTransfered (this=0x7fffecb69dd0, _t1=KMCommand::OK) at /build/buildd/kdepim-4.2.98/obj-x86_64-linux-gnu/kmail/kmcommands.moc:102
#12 0x00007f64e38990b8 in KMCommand::transferSelectedMsgs (this=0x37dec60) at /build/buildd/kdepim-4.2.98/kmail/kmcommands.cpp:367
#13 0x00007f64e38992e6 in KMCommand::slotStart (this=0x37dec60) at /build/buildd/kdepim-4.2.98/kmail/kmcommands.cpp:265
#14 0x00007f64e388a152 in KMCommand::qt_metacall (this=0x37dec60, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffecb6a480)
    at /build/buildd/kdepim-4.2.98/obj-x86_64-linux-gnu/kmail/kmcommands.moc:86
#15 0x00007f64e389c335 in KMMoveCommand::qt_metacall (this=0x7fffecb69dd0, _c=62713288, _id=61935232, _a=0x3acf340) at /build/buildd/kdepim-4.2.98/obj-x86_64-linux-gnu/kmail/kmcommands.moc:1706
#16 0x00007f64df9941f2 in QMetaObject::activate (sender=0x3d2d6e0, from_signal_index=<value optimized out>, to_signal_index=4, argv=0x3acf340) at kernel/qobject.cpp:3069
#17 0x00007f64df99952f in QSingleShotTimer::timerEvent (this=0x3d2d6e0) at kernel/qtimer.cpp:298
#18 0x00007f64df98e4d3 in QObject::event (this=0x3d2d6e0, e=0x3bcedc8) at kernel/qobject.cpp:1082
#19 0x00007f64e00c378d in QApplicationPrivate::notify_helper (this=0x2162050, receiver=0x3d2d6e0, e=0x7fffecb6ab40) at kernel/qapplication.cpp:4084
#20 0x00007f64e00cb97a in QApplication::notify (this=0x7fffecb6afa0, receiver=0x3d2d6e0, e=0x7fffecb6ab40) at kernel/qapplication.cpp:4049
#21 0x00007f64e455571b in KApplication::notify (this=0x7fffecb6afa0, receiver=0x3d2d6e0, event=0x7fffecb6ab40) at /build/buildd/kde4libs-4.2.98a/kdeui/kernel/kapplication.cpp:302
#22 0x00007f64df97e75c in QCoreApplication::notifyInternal (this=0x7fffecb6afa0, receiver=0x3d2d6e0, event=0x7fffecb6ab40) at kernel/qcoreapplication.cpp:602
#23 0x00007f64df9ab7f6 in QTimerInfoList::activateTimers (this=0x2164ba0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
#24 0x00007f64df9a7f0d in timerSourceDispatch (source=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:164
#25 0x00007f64d682b20a in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#26 0x00007f64d682e8e0 in ?? () from /usr/lib/libglib-2.0.so.0
#27 0x00007f64d682ea7c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#28 0x00007f64df9a7e6f in QEventDispatcherGlib::processEvents (this=0x21256d0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:323
#29 0x00007f64e015bbef in QGuiEventDispatcherGlib::processEvents (this=0x7fffecb69dd0, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:202
#30 0x00007f64df97d002 in QEventLoop::processEvents (this=<value optimized out>, flags={i = -323572304}) at kernel/qeventloop.cpp:149
#31 0x00007f64df97d3cd in QEventLoop::exec (this=0x7fffecb6adf0, flags={i = -323572224}) at kernel/qeventloop.cpp:200
#32 0x00007f64df97f694 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:880
#33 0x00000000004030db in main (argc=<value optimized out>, argv=<value optimized out>) at /build/buildd/kdepim-4.2.98/kmail/main.cpp:146
Comment 57 Christophe Marin 2009-07-29 14:48:24 UTC
*** Bug 201825 has been marked as a duplicate of this bug. ***
Comment 58 greg.freemyer 2009-07-29 18:39:02 UTC
I just subscribed to my gmail spam folder and deleted 475 emails.

I did not get a crash.  With previous versions I could get it to crash within 5 or 10 email deletions.

I was testing 4.2.98 (release 148) as compiled for Novell on their OBS for OpenSUSE 11.1
Comment 59 Peter Lewis 2009-07-29 18:57:57 UTC
Yes, something has definitely changed to reduce the frequency with which this occurs, but it does still happen.
Comment 60 Luca Pertile 2009-07-30 21:37:05 UTC
Created attachment 35739 [details]
Stack of the crash
Comment 61 Christophe Marin 2009-07-31 21:18:27 UTC
*** Bug 201825 has been marked as a duplicate of this bug. ***
Comment 62 Dario Andres 2009-08-07 21:49:02 UTC
*** Bug 200022 has been marked as a duplicate of this bug. ***
Comment 63 Arthur Pemberton 2009-08-08 06:39:13 UTC
Created attachment 35984 [details]
Usual crash while cleaning up my inbox

I actually got a kcrash this crash, so I'm attaching it in case it helps. I wasn't doing anything out of the ordinary. Just my usual inbox cleanup: moving emails from two imap accounts to my personal imap server
Comment 64 Dario Andres 2009-08-08 22:05:11 UTC
*** Bug 203105 has been marked as a duplicate of this bug. ***
Comment 65 Christophe Marin 2009-08-09 12:11:33 UTC
*** Bug 203089 has been marked as a duplicate of this bug. ***
Comment 66 Dario Andres 2009-08-10 23:36:23 UTC
*** Bug 203361 has been marked as a duplicate of this bug. ***
Comment 67 benno.dreissig 2009-08-11 17:25:40 UTC
My Bugreport (https://bugs.kde.org/show_bug.cgi?id=203089) has been marked as a duplicate and I guess noone ever read what I wrote there and so never tried it.

Copy n paste:

It also happens if I just mark ham. And even if its only 2 messages being
marked as ham. Though, I don't know if the messages get deleted, reviewed and
uploaded after. They definitely disappear from the message window for a short
time and reappear then. However, I found another weird thing happening.

I marked multiple messages (139) from my spam folder on the IMAP Account at
once as spam. The messages got downloaded one by one - pretty fast - and moved
to the trash after. But now AFTER this little dialog appeared telling me whats
happening (downloading message x/139), KMail doesn't crash anymore when marking
spam/ham one by one.
Comment 68 Dario Andres 2009-08-12 17:09:39 UTC
*** Bug 203459 has been marked as a duplicate of this bug. ***
Comment 69 Christophe Marin 2009-08-15 16:50:55 UTC
*** Bug 203914 has been marked as a duplicate of this bug. ***
Comment 70 Myriam Schweingruber 2009-08-27 20:53:31 UTC
Hm, I always read about crashes with IMAP folders, but here it actually happens with a POP account...
Using KDE 4.3 Kubuntu 9.04 Kontact 4.3.0. Just had a crash a few minutes ago, same backtrace as those above. It crashes with the regularity of a metronome: at least daily, sometimes more often, always when moving mails to other folders, be this manually or with a filter. The amount of files moved doesn't matter apparently, I had this when moving 300 and when moving 10.
Comment 71 Dario Andres 2009-09-02 14:12:08 UTC
*** Bug 205960 has been marked as a duplicate of this bug. ***
Comment 72 Christophe Marin 2009-09-02 21:42:06 UTC
*** Bug 206040 has been marked as a duplicate of this bug. ***
Comment 73 Christophe Marin 2009-09-05 01:20:53 UTC
*** Bug 206309 has been marked as a duplicate of this bug. ***
Comment 74 Christophe Marin 2009-09-08 10:44:00 UTC
*** Bug 206726 has been marked as a duplicate of this bug. ***
Comment 75 Christophe Marin 2009-09-10 13:59:15 UTC
*** Bug 206962 has been marked as a duplicate of this bug. ***
Comment 76 Christophe Marin 2009-09-14 11:24:45 UTC
*** Bug 207235 has been marked as a duplicate of this bug. ***
Comment 77 Christophe Marin 2009-09-18 10:46:01 UTC
*** Bug 207758 has been marked as a duplicate of this bug. ***
Comment 78 Thomas McGuire 2009-09-22 03:08:07 UTC
With a bit of luck, this problem could be fixed in KDE 4.3.2, a potential fix has been committed in r1024448, see http://websvn.kde.org/?revision=1024448&view=revision .
Comment 79 markuss 2009-09-23 00:24:02 UTC
Bug 126999 is a dupe (well, the other way around, actually, but the action seems to go on here)
Comment 80 Thomas McGuire 2009-09-23 10:21:21 UTC
> Bug 126999 is a dupe 

No, the backtrace in the first comment is different. The backtraces starting with comment 8 don't belong to that bug report, they indeed look like this problem here. But the original report is different.
Comment 81 Christophe Marin 2009-10-10 21:57:59 UTC
*** Bug 210120 has been marked as a duplicate of this bug. ***
Comment 82 Dario Andres 2009-10-21 16:15:35 UTC
*** Bug 210960 has been marked as a duplicate of this bug. ***
Comment 83 Dario Andres 2009-10-21 16:15:55 UTC
*** Bug 209629 has been marked as a duplicate of this bug. ***
Comment 84 Christophe Marin 2009-10-22 14:29:59 UTC
*** Bug 211431 has been marked as a duplicate of this bug. ***
Comment 85 Christophe Marin 2009-10-23 15:10:11 UTC
*** Bug 200644 has been marked as a duplicate of this bug. ***
Comment 86 Dario Andres 2009-10-24 19:00:46 UTC
*** Bug 211673 has been marked as a duplicate of this bug. ***
Comment 87 Jure Koren 2009-10-24 21:53:24 UTC
This always happens when deleting a new unread message that's being downloaded. I tend to push shift-delete on some of them and after confirming a deletion, the crash consistently occurs if the message preview has not yet loaded at that point.
Comment 88 Christophe Marin 2009-10-26 22:27:29 UTC
*** Bug 211956 has been marked as a duplicate of this bug. ***
Comment 89 Christophe Marin 2009-10-29 21:18:13 UTC
*** Bug 212303 has been marked as a duplicate of this bug. ***
Comment 90 Christophe Marin 2009-10-29 21:27:22 UTC
*** Bug 212288 has been marked as a duplicate of this bug. ***
Comment 91 Christophe Marin 2009-10-31 13:25:34 UTC
*** Bug 212510 has been marked as a duplicate of this bug. ***
Comment 92 Christophe Marin 2009-11-02 10:52:01 UTC
*** Bug 212682 has been marked as a duplicate of this bug. ***
Comment 93 Jonathan Thomas 2009-11-10 00:37:28 UTC
*** Bug 213901 has been marked as a duplicate of this bug. ***
Comment 94 Jonathan Thomas 2009-11-10 01:49:34 UTC
*** Bug 213807 has been marked as a duplicate of this bug. ***
Comment 95 Jonathan Thomas 2009-11-12 01:50:58 UTC
*** Bug 214189 has been marked as a duplicate of this bug. ***
Comment 96 Christophe Marin 2009-11-12 23:33:36 UTC
*** Bug 214040 has been marked as a duplicate of this bug. ***
Comment 97 Christophe Marin 2009-11-12 23:40:48 UTC
*** Bug 213944 has been marked as a duplicate of this bug. ***
Comment 98 Christophe Marin 2009-11-14 15:39:13 UTC
*** Bug 214528 has been marked as a duplicate of this bug. ***
Comment 99 Christophe Marin 2009-11-15 01:34:18 UTC
*** Bug 208815 has been marked as a duplicate of this bug. ***
Comment 100 Christophe Marin 2009-11-15 03:56:54 UTC
*** Bug 209605 has been marked as a duplicate of this bug. ***
Comment 101 Christophe Marin 2009-11-20 18:09:31 UTC
*** Bug 215416 has been marked as a duplicate of this bug. ***
Comment 102 Christophe Marin 2009-11-27 21:45:02 UTC
*** Bug 215799 has been marked as a duplicate of this bug. ***
Comment 103 Christophe Marin 2009-11-30 16:57:28 UTC
*** Bug 216775 has been marked as a duplicate of this bug. ***
Comment 104 Christophe Marin 2009-12-04 22:35:16 UTC
*** Bug 217076 has been marked as a duplicate of this bug. ***
Comment 105 Dario Andres 2009-12-06 20:38:13 UTC
*** Bug 217249 has been marked as a duplicate of this bug. ***
Comment 106 Christophe Marin 2009-12-07 10:58:50 UTC
*** Bug 217507 has been marked as a duplicate of this bug. ***
Comment 107 Dario Andres 2009-12-10 16:33:30 UTC
*** Bug 217999 has been marked as a duplicate of this bug. ***
Comment 108 Dario Andres 2009-12-10 17:32:24 UTC
*** Bug 217758 has been marked as a duplicate of this bug. ***
Comment 109 Verena Ruff 2009-12-11 08:35:05 UTC
Application that crashed: kontact
Think this is more are less the same bug:

Version of the application: 4.3.4
KDE Version: 4.3.4 (KDE 4.3.4)
Qt Version: 4.5.2
Operating System: Linux 2.6.31-16-generic i686
Distribution: Ubuntu 9.10

What I was doing when the application crashed:
Deliting some message from my INBOX in a IMAP account (I think it still retrieved some more messages in the background while I was deleting the first ones)

 -- Backtrace:
Application: Kontact (kontact), signal: Segmentation fault
[KCrash Handler]
#6  QBasicAtomicInt::ref (this=0x680077) at /usr/include/qt4/QtCore/qatomic_i386.h:120
#7  QList (this=0x680077) at /usr/include/qt4/QtCore/qlist.h:111
#8  KMail::FolderJob::msgList (this=0x680077) at ../../kmail/folderjob.cpp:120
#9  0xb449682d in KMAcctImap::ignoreJobsForMessage (this=0x8f03638, msg=0xa48f7c0) at ../../kmail/kmacctimap.cpp:217
#10 0xb44adb83 in KMFolderImap::ignoreJobsForMessage (this=0x8be9120, msg=0xa48f7c0) at ../../kmail/kmfolderimap.cpp:1564
#11 0xb45ca2cc in KMMoveCommand::execute (this=0xa482c38) at ../../kmail/kmcommands.cpp:2095
#12 0xb45adf22 in KMCommand::slotPostTransfer (this=0xa482c38, result=KMCommand::OK) at ../../kmail/kmcommands.cpp:274
#13 0xb45b861f in KMCommand::qt_metacall (this=0xa482c38, _c=QMetaObject::InvokeMetaMethod, _id=9, _a=0xbf812388) at ./kmcommands.moc:87
#14 0xb45cb56a in KMMoveCommand::qt_metacall (this=0xa482c38, _c=QMetaObject::InvokeMetaMethod, _id=9, _a=0xbf812388) at ./kmcommands.moc:1706
#15 0xb45cb632 in KMTrashMsgCommand::qt_metacall (this=0xa482c38, _c=QMetaObject::InvokeMetaMethod, _id=9, _a=0xbf812388) at ./kmcommands.moc:1758
#16 0x019e2263 in QMetaObject::activate (sender=0xa482c38, from_signal_index=4, to_signal_index=4, argv=0xbf812388) at kernel/qobject.cpp:3113
#17 0x019e2ec2 in QMetaObject::activate (sender=0xa482c38, m=0xb49e7634, local_signal_index=0, argv=0xbf812388) at kernel/qobject.cpp:3187
#18 0xb45aa093 in KMCommand::messagesTransfered (this=0xa482c38, _t1=KMCommand::OK) at ./kmcommands.moc:102
#19 0xb45c8496 in KMCommand::transferSelectedMsgs (this=0xa482c38) at ../../kmail/kmcommands.cpp:368
#20 0xb45c86e2 in KMCommand::slotStart (this=0xa482c38) at ../../kmail/kmcommands.cpp:266
#21 0xb45b85fb in KMCommand::qt_metacall (this=0xa482c38, _c=QMetaObject::InvokeMetaMethod, _id=8, _a=0xbf8125ac) at ./kmcommands.moc:86
#22 0xb45cb56a in KMMoveCommand::qt_metacall (this=0xa482c38, _c=QMetaObject::InvokeMetaMethod, _id=8, _a=0xbf8125ac) at ./kmcommands.moc:1706
#23 0xb45cb632 in KMTrashMsgCommand::qt_metacall (this=0xa482c38, _c=QMetaObject::InvokeMetaMethod, _id=8, _a=0xbf8125ac) at ./kmcommands.moc:1758
#24 0x019e2263 in QMetaObject::activate (sender=0x97bdf88, from_signal_index=4, to_signal_index=4, argv=0x0) at kernel/qobject.cpp:3113
#25 0x019e2ec2 in QMetaObject::activate (sender=0x97bdf88, m=0x1abc908, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3187
#26 0x019e7387 in QSingleShotTimer::timeout (this=0x97bdf88) at .moc/release-shared/qtimer.moc:76
#27 0x019e749c in QSingleShotTimer::timerEvent (this=0x97bdf88) at kernel/qtimer.cpp:298
#28 0x019dc3bf in QObject::event (this=0x97bdf88, e=0xbf812a40) at kernel/qobject.cpp:1075
#29 0x0100ff54 in QApplicationPrivate::notify_helper (this=0x861d730, receiver=0x97bdf88, e=0xbf812a40) at kernel/qapplication.cpp:4056
#30 0x0101767c in QApplication::notify (this=0xbf812da4, receiver=0x97bdf88, e=0xbf812a40) at kernel/qapplication.cpp:3603
#31 0x006b21aa in KApplication::notify (this=0xbf812da4, receiver=0x97bdf88, event=0xbf812a40) at ../../kdeui/kernel/kapplication.cpp:302
#32 0x019cc6cb in QCoreApplication::notifyInternal (this=0xbf812da4, receiver=0x97bdf88, event=0xbf812a40) at kernel/qcoreapplication.cpp:610
#33 0x019f97ce in QCoreApplication::sendEvent (this=0x860eb34) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
#34 QTimerInfoList::activateTimers (this=0x860eb34) at kernel/qeventdispatcher_unix.cpp:572
#35 0x019f70e0 in timerSourceDispatch (source=0x860eb00) at kernel/qeventdispatcher_glib.cpp:165
#36 0x02791e78 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#37 0x02795720 in ?? () from /lib/libglib-2.0.so.0
#38 0x02795853 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#39 0x019f702c in QEventDispatcherGlib::processEvents (this=0x85ec9f8, flags=...) at kernel/qeventdispatcher_glib.cpp:327
#40 0x010b0be5 in QGuiEventDispatcherGlib::processEvents (this=0x85ec9f8, flags=...) at kernel/qguieventdispatcher_glib.cpp:202
#41 0x019cac79 in QEventLoop::processEvents (this=0xbf812d04, flags=) at kernel/qeventloop.cpp:149
#42 0x019cb0ca in QEventLoop::exec (this=0xbf812d04, flags=...) at kernel/qeventloop.cpp:201
#43 0x019cd53f in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
#44 0x0100fdd7 in QApplication::exec () at kernel/qapplication.cpp:3525
#45 0x0804b4e6 in main (argc=1, argv=0xbf812fc4) at ../../../kontact/src/main.cpp:218
Comment 110 Robin Haunschild 2009-12-11 19:26:28 UTC
On Friday 11 December 2009 01:35:26 Verena Ruff wrote:
> https://bugs.kde.org/show_bug.cgi?id=163071
> 
> 
> Verena Ruff <ve.ru@triosolutions.at> changed:
> 
>            What    |Removed                     |Added
> ---------------------------------------------------------------------------
> - CC|                            |ve.ru@triosolutions.at
> 
> 
> 
> 
> --- Comment #109 from Verena Ruff <ve ru triosolutions at>  2009-12-11
>  08:35:05 --- Application that crashed: kontact
> Think this is more are less the same bug:

I agree. Actually, I don't know if KMail/Kontact was retrieving new messages 
but it might have the same cause.

Robin

> Version of the application: 4.3.4
> KDE Version: 4.3.4 (KDE 4.3.4)
> Qt Version: 4.5.2
> Operating System: Linux 2.6.31-16-generic i686
> Distribution: Ubuntu 9.10
> 
> What I was doing when the application crashed:
> Deliting some message from my INBOX in a IMAP account (I think it still
> retrieved some more messages in the background while I was deleting the
>  first ones)
> 
>  -- Backtrace:
[deleted]
Comment 111 Christophe Marin 2009-12-13 14:08:24 UTC
*** Bug 218459 has been marked as a duplicate of this bug. ***
Comment 112 Dario Andres 2009-12-15 14:11:51 UTC
*** Bug 218647 has been marked as a duplicate of this bug. ***
Comment 113 Dario Andres 2009-12-17 00:43:08 UTC
From bug 218953:
---
What I was doing when the application crashed:
I was selecting emails for deletion from an IMAP folder and it
has crashed. The folder was using SSL and not TLS.
Comment 114 Dario Andres 2009-12-17 00:43:14 UTC
*** Bug 218953 has been marked as a duplicate of this bug. ***
Comment 115 Dario Andres 2009-12-17 17:37:22 UTC
*** Bug 219003 has been marked as a duplicate of this bug. ***
Comment 116 Mike Gager 2009-12-18 05:28:35 UTC
Application that crashed: kontact
Version of the application: 4.3.3
KDE Version: 4.3.3 (KDE 4.3.3)
Qt Version: 4.5.3
Operating System: Linux 2.6.27.41-170.2.117.fc10.x86_64 x86_64
Distribution: "Fedora release 10 (Cambridge)"

What I was doing when the application crashed:
It'll do it anytime I delete while a queue of deletes is still processing.  Current workaround (when I remember) is to make another selection, wait for it to display the currently selected message, when it gets to it, and then proceed with the delete.

 -- Backtrace:
Application: Kontact (kontact), signal: Segmentation fault
[KCrash Handler]
#5  QList () at /usr/include/QtCore/qlist.h:111
#6  KMail::FolderJob::msgList (this=0xff8a1b21ff642722) at /usr/src/debug/kdepim-4.3.3/kmail/folderjob.cpp:120
#7  0x0000003d72a84735 in KMAcctImap::ignoreJobsForMessage (this=0x198cb70, msg=0x5042330) at /usr/src/debug/kdepim-4.3.3/kmail/kmacctimap.cpp:215
#8  0x0000003d72ba3cd7 in KMMoveCommand::execute (this=0x2db1d40) at /usr/src/debug/kdepim-4.3.3/kmail/kmcommands.cpp:2096
#9  0x0000003d72b89372 in KMCommand::slotPostTransfer (this=0x2db1d40, result=KMCommand::OK) at /usr/src/debug/kdepim-4.3.3/kmail/kmcommands.cpp:275
#10 0x0000003d72b9336e in KMCommand::qt_metacall (this=0x2db1d40, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff7ad2b9d0)
    at /usr/src/debug/kdepim-4.3.3/x86_64-redhat-linux-gnu/kmail/kmcommands.moc:87
#11 0x0000003d72ba5995 in KMMoveCommand::qt_metacall (this=0x7fff7ad2b580, _c=4284753698, _id=79546736, _a=0x568a270) at /usr/src/debug/kdepim-4.3.3/x86_64-redhat-linux-gnu/kmail/kmcommands.moc:1706
#12 0x0000003d8f358662 in QMetaObject::activate (sender=0x2db1d40, from_signal_index=<value optimized out>, to_signal_index=4, argv=0x568a270) at kernel/qobject.cpp:3112
#13 0x0000003d72b8654e in KMCommand::messagesTransfered (this=0x7fff7ad2b580, _t1=KMCommand::OK) at /usr/src/debug/kdepim-4.3.3/x86_64-redhat-linux-gnu/kmail/kmcommands.moc:102
#14 0x0000003d72ba20c8 in KMCommand::transferSelectedMsgs (this=0x2db1d40) at /usr/src/debug/kdepim-4.3.3/kmail/kmcommands.cpp:369
#15 0x0000003d72ba22f6 in KMCommand::slotStart (this=0x2db1d40) at /usr/src/debug/kdepim-4.3.3/kmail/kmcommands.cpp:267
#16 0x0000003d72b93382 in KMCommand::qt_metacall (this=0x2db1d40, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff7ad2bc30)
    at /usr/src/debug/kdepim-4.3.3/x86_64-redhat-linux-gnu/kmail/kmcommands.moc:86
#17 0x0000003d72ba5995 in KMMoveCommand::qt_metacall (this=0x7fff7ad2b580, _c=4284753698, _id=79546736, _a=0x568a270) at /usr/src/debug/kdepim-4.3.3/x86_64-redhat-linux-gnu/kmail/kmcommands.moc:1706
#18 0x0000003d8f358662 in QMetaObject::activate (sender=0x2dc8010, from_signal_index=<value optimized out>, to_signal_index=4, argv=0x568a270) at kernel/qobject.cpp:3112
#19 0x0000003d8f35e35f in QSingleShotTimer::timerEvent (this=0x2dc8010) at kernel/qtimer.cpp:298
#20 0x0000003d8f353473 in QObject::event (this=0x2dc8010, e=0xff8a1b21ff642722) at kernel/qobject.cpp:1074
#21 0x0000003d6919001d in QApplicationPrivate::notify_helper (this=0x699c70, receiver=0x2dc8010, e=0x7fff7ad2c2f0) at kernel/qapplication.cpp:4065
#22 0x0000003d6919825a in QApplication::notify (this=0x7fff7ad2c640, receiver=0x2dc8010, e=0x7fff7ad2c2f0) at kernel/qapplication.cpp:4030
#23 0x0000003d6b81351b in KApplication::notify (this=0x7fff7ad2c640, receiver=0x2dc8010, event=0x7fff7ad2c2f0) at /usr/src/debug/kdelibs-4.3.3/kdeui/kernel/kapplication.cpp:302
#24 0x0000003d8f34378c in QCoreApplication::notifyInternal (this=0x7fff7ad2c640, receiver=0x2dc8010, event=0x7fff7ad2c2f0) at kernel/qcoreapplication.cpp:610
#25 0x0000003d8f370859 in QCoreApplication::sendEvent () at kernel/qcoreapplication.h:213
#26 QTimerInfoList::activateTimers (this=0x695190) at kernel/qeventdispatcher_unix.cpp:580
#27 0x0000003d8f36cd5d in timerSourceDispatch (source=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:165
#28 0x0000003099e377bb in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#29 0x0000003099e3af8d in ?? () from /lib64/libglib-2.0.so.0
#30 0x0000003099e3b14b in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#31 0x0000003d8f36ccbf in QEventDispatcherGlib::processEvents (this=0x66b0f0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:327
#32 0x0000003d6922753f in QGuiEventDispatcherGlib::processEvents (this=0x7fff7ad2b580, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:202
#33 0x0000003d8f342022 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#34 0x0000003d8f3423f4 in QEventLoop::exec (this=0x7fff7ad2c5a0, flags=) at kernel/qeventloop.cpp:201
#35 0x0000003d8f3446c4 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
#36 0x00000000004045f5 in main (argc=1, argv=0x7fff7ad2cd28) at /usr/src/debug/kdepim-4.3.3/kontact/src/main.cpp:218
Comment 117 Thomas Fischer 2009-12-23 20:37:30 UTC
Can confirm bug on Gentoo Linux with KDE 4.3.4 and matching Kontact (KMail 1.12.2)
Comment 118 Dario Andres 2009-12-30 17:33:08 UTC
*** Bug 220687 has been marked as a duplicate of this bug. ***
Comment 119 Dario Andres 2010-01-08 14:10:02 UTC
*** Bug 221781 has been marked as a duplicate of this bug. ***
Comment 120 Murz 2010-01-14 08:15:15 UTC
Created attachment 39878 [details]
New crash information added by DrKonqi

I select Inbox folder and quickly press "delete" on some new (unread) messages, and after succesfully delete 3-5 messages I got this crash.
Comment 121 François Bianco 2010-01-26 09:46:58 UTC
*** Bug 224294 has been marked as a duplicate of this bug. ***
Comment 122 Dario Andres 2010-01-27 02:37:43 UTC
From bug 224423 (KDE SC 4.4RC2):
---

 -- Backtrace:
#5  QList (this=0x4e) at /usr/include/qt4/QtCore/qlist.h:114
#6  KMail::FolderJob::msgList (this=0x4e) at ../../kmail/folderjob.cpp:120
#7  0x0108083d in KMAcctImap::ignoreJobsForMessage (this=0x9c26670,
msg=0xbe78800) at ../../kmail/kmacctimap.cpp:217
#8  0x01096693 in KMFolderImap::ignoreJobsForMessage (this=0x908b8a0,
msg=0xbe78800) at ../../kmail/kmfolderimap.cpp:1555
#9  0x011a8a9c in KMMoveCommand::execute (this=0xb2a5af0) at
../../kmail/kmcommands.cpp:2185
#10 0x01199392 in KMCommand::slotPostTransfer (this=0xb2a5af0,
result=KMCommand::OK) at ../../kmail/kmcommands.cpp:291
#11 0x011a341f in KMCommand::qt_metacall (this=0xb2a5af0,
_c=QMetaObject::InvokeMetaMethod, _id=9, _a=0xbfc6a428) at ./kmcommands.moc:93
#12 0x011a389a in KMMoveCommand::qt_metacall (this=0xb2a5af0,
_c=QMetaObject::InvokeMetaMethod, _id=9, _a=0xbfc6a428) at
./kmcommands.moc:1971
Comment 123 Dario Andres 2010-01-27 02:38:14 UTC
*** Bug 224423 has been marked as a duplicate of this bug. ***
Comment 124 Dario Andres 2010-01-27 02:38:17 UTC
*** Bug 224218 has been marked as a duplicate of this bug. ***
Comment 125 Dario Andres 2010-01-27 02:38:21 UTC
*** Bug 224159 has been marked as a duplicate of this bug. ***
Comment 126 Dario Andres 2010-01-27 02:38:24 UTC
*** Bug 222371 has been marked as a duplicate of this bug. ***
Comment 127 Dario Andres 2010-01-27 13:57:03 UTC
*** Bug 220600 has been marked as a duplicate of this bug. ***
Comment 128 Dario Andres 2010-01-29 17:56:40 UTC
*** Bug 224699 has been marked as a duplicate of this bug. ***
Comment 129 mrdocs 2010-01-29 22:40:23 UTC
I'd like to note that I have upgraded to 4.4rc2 on openSUSE and I cannot trigger this bug, where before it was not difficult to provoke. The only change from default is that neopmuk is disabled, but the 4.4 version is faster and more repsonive to my large IMAP mail store even over a slow net connection... Nice work.
Comment 130 Daniel Hahler 2010-02-25 15:43:35 UTC
Created attachment 41097 [details]
New crash information added by DrKonqi

I've forwarded a bunch of mails, shift-deleted them and then moved two remaining (not forwarded) mails to another folder.
KMail then crashed.
Comment 131 Marc Hildebrandt 2010-03-25 18:52:31 UTC
Created attachment 42255 [details]
New crash information added by DrKonqi

This happens to me, when i delete more than one mail via the 'delete mail' button quickly. Perhaps there is a problem, because the delete was not send to the imap-server.
Comment 132 Christophe Marin 2010-03-26 10:51:00 UTC
*** Bug 225950 has been marked as a duplicate of this bug. ***
Comment 133 Christophe Marin 2010-03-26 10:53:03 UTC
*** Bug 222182 has been marked as a duplicate of this bug. ***
Comment 134 Christophe Marin 2010-03-26 23:12:37 UTC
*** Bug 229376 has been marked as a duplicate of this bug. ***
Comment 135 Christophe Marin 2010-03-26 23:23:40 UTC
*** Bug 229345 has been marked as a duplicate of this bug. ***
Comment 136 Christophe Marin 2010-03-26 23:29:15 UTC
*** Bug 221652 has been marked as a duplicate of this bug. ***
Comment 137 Christophe Marin 2010-03-26 23:29:40 UTC
*** Bug 224873 has been marked as a duplicate of this bug. ***
Comment 138 Christophe Marin 2010-03-26 23:52:57 UTC
*** Bug 229236 has been marked as a duplicate of this bug. ***
Comment 139 Björn Ruberg 2010-04-02 13:24:31 UTC
*** Bug 231225 has been marked as a duplicate of this bug. ***
Comment 140 Evan Cofsky 2010-04-14 08:16:54 UTC
Created attachment 42769 [details]
New crash information added by DrKonqi

This happens fairly consistently when using Spam Controls with the target folder on the IMAP server instead of in Local Folders.
Comment 141 Jonathan Thomas 2010-04-17 05:46:47 UTC
*** Bug 234577 has been marked as a duplicate of this bug. ***
Comment 142 Jonathan Thomas 2010-04-17 05:46:57 UTC
*** Bug 226415 has been marked as a duplicate of this bug. ***
Comment 143 Filipe 2010-04-23 22:10:45 UTC
Created attachment 42989 [details]
backtrace 

Same bug of the first post. I think kmail has a problem with incomplete messages. I downloaded the email header with imap. If I don't wait the download of the full mail to complete and delete it or ask to open an attachment then kmail crashes. This should not be an issue, the client should wait and proceed with the requested action when possible. In my humble opinion kmail is trying to access a message that's not yet in the hard disk, memory access violation.
Comment 144 Toby Fox 2010-04-26 20:15:50 UTC
Created attachment 43051 [details]
New crash information added by DrKonqi

This happens in KMail whenever I quickly delete several messages in a row, deleting one, I think, before the previously deleted message has actualy been sent to the trash.
Comment 145 Petr Mrázek 2010-05-06 18:53:47 UTC
Created attachment 43315 [details]
New crash information added by DrKonqi

As reported by everyone else here, this happens when deleting messages from an IMAP account quickly.
Comment 146 Jonathan Thomas 2010-05-27 15:29:35 UTC
*** Bug 238435 has been marked as a duplicate of this bug. ***
Comment 147 Jonathan Thomas 2010-05-27 15:29:54 UTC
*** Bug 237638 has been marked as a duplicate of this bug. ***
Comment 148 Jonathan Thomas 2010-05-27 15:30:30 UTC
*** Bug 238464 has been marked as a duplicate of this bug. ***
Comment 149 Jonathan Thomas 2010-05-27 15:30:48 UTC
*** Bug 238414 has been marked as a duplicate of this bug. ***
Comment 150 Jonathan Thomas 2010-05-27 15:30:53 UTC
*** Bug 238281 has been marked as a duplicate of this bug. ***
Comment 151 Jonathan Thomas 2010-05-27 15:31:11 UTC
*** Bug 238720 has been marked as a duplicate of this bug. ***
Comment 152 Jonathan Thomas 2010-05-27 15:31:51 UTC
*** Bug 237063 has been marked as a duplicate of this bug. ***
Comment 153 Jonathan Thomas 2010-05-27 15:32:34 UTC
*** Bug 236537 has been marked as a duplicate of this bug. ***
Comment 154 Jonathan Thomas 2010-05-27 15:33:12 UTC
*** Bug 235831 has been marked as a duplicate of this bug. ***
Comment 155 Jonathan Thomas 2010-05-27 20:00:52 UTC
*** Bug 239039 has been marked as a duplicate of this bug. ***
Comment 156 Christophe Marin 2010-06-06 16:32:26 UTC
*** Bug 240193 has been marked as a duplicate of this bug. ***
Comment 157 Hyacinthe Cartiaux 2010-06-17 23:03:25 UTC
Created attachment 48089 [details]
New crash information added by DrKonqi

I was deleting a lot of mails in my inbox on imap.gmail.com, so they were moved to the deleted mail folder on the imap server.
Comment 158 Nicolas L. 2010-06-19 16:57:00 UTC
*** Bug 241940 has been marked as a duplicate of this bug. ***
Comment 159 Nicolas L. 2010-06-19 16:57:09 UTC
*** Bug 242143 has been marked as a duplicate of this bug. ***
Comment 160 Nicolas L. 2010-06-23 15:52:23 UTC
*** Bug 242494 has been marked as a duplicate of this bug. ***
Comment 161 Christophe Marin 2010-07-05 14:54:17 UTC
*** Bug 243282 has been marked as a duplicate of this bug. ***
Comment 162 Vitaliy Kosharskiy 2010-07-06 12:18:44 UTC
*** Bug 243750 has been marked as a duplicate of this bug. ***
Comment 163 Daniel Molina Wegener 2010-07-29 20:32:14 UTC
Created attachment 49651 [details]
New crash information added by DrKonqi

I was deleting mails from the IMAP folder when it has crashed. No more
information I can give.
Comment 164 Björn Ruberg 2010-08-05 23:26:54 UTC
*** Bug 246817 has been marked as a duplicate of this bug. ***
Comment 165 Björn Ruberg 2010-08-05 23:28:18 UTC
*** Bug 126999 has been marked as a duplicate of this bug. ***
Comment 166 Björn Ruberg 2010-08-06 00:00:38 UTC
*** Bug 246334 has been marked as a duplicate of this bug. ***
Comment 167 Nicolas L. 2010-08-12 14:37:45 UTC
*** Bug 247496 has been marked as a duplicate of this bug. ***
Comment 168 Nicolas L. 2010-08-12 14:38:14 UTC
*** Bug 246112 has been marked as a duplicate of this bug. ***
Comment 169 Nicolas L. 2010-08-12 14:38:29 UTC
*** Bug 246069 has been marked as a duplicate of this bug. ***
Comment 170 Nicolas L. 2010-08-12 14:38:44 UTC
*** Bug 244057 has been marked as a duplicate of this bug. ***
Comment 171 Nicolas L. 2010-08-12 14:44:56 UTC
*** Bug 247512 has been marked as a duplicate of this bug. ***
Comment 172 Pavel 2010-08-12 20:23:12 UTC
I have the same bug in KDE 4.5. Kmail 1.13.3. It seems to me it's time to fix, no?
Comment 173 Achim Schaefer 2010-08-12 20:32:01 UTC
Hi,

wait for kMail 2.0 which was supposed to be in 4.5, but is currently postponed till 4.5.1.
This is the akonadi version, so complete new infrastructure.
So exactly this can not happen any more, but of course there will be other new bugs, maybe as well some crashes if you delete too many mails-)
Comment 174 Pavel 2010-08-12 20:33:50 UTC
12.08.2010, 22:32, "Achim Schaefer" <achim_schaefer@gmx.de>:
> https://bugs.kde.org/show_bug.cgi?id=163071
>
> --- Comment #173 from Achim Schaefer <achim_schaefer gmx de> 2010-08-12 20:32:01 ---
> Hi,
>
> wait for kMail 2.0 which was supposed to be in 4.5, but is currently postponed
> till 4.5.1.
> This is the akonadi version, so complete new infrastructure.
> So exactly this can not happen any more, but of course there will be other new
> bugs, maybe as well some crashes if you delete too many mails-)
>
> --
> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You are on the CC list for the bug.



Thank you, sir!
Comment 175 gianted 2010-08-13 10:03:31 UTC
Created attachment 50113 [details]
New crash information added by DrKonqi

kontact (4.4.5) on KDE Platform 4.5.00 (KDE 4.5.0) using Qt 4.7.0

- What I was doing when the application crashed:
* subscribe an IMAP account
* fetch all headers
* apply a "by new" filter
* delete one of above filtered messages.

-- Backtrace (Reduced):
#7  QList (this=0x45ea) at /usr/include/qt4/QtCore/qlist.h:118
#8  KMail::FolderJob::msgList (this=0x45ea) at ../../kmail/folderjob.cpp:120
#9  0xae48c0cd in KMAcctImap::ignoreJobsForMessage (this=0xa10d320, msg=0xad56400) at ../../kmail/kmacctimap.cpp:217
#10 0xae4a24b3 in KMFolderImap::ignoreJobsForMessage (this=0xa116be0, msg=0xad56400) at ../../kmail/kmfolderimap.cpp:1560
#11 0xae5b80ac in KMMoveCommand::execute (this=0xadf4e70) at ../../kmail/kmcommands.cpp:2200
Comment 176 Andre Woebbeking 2010-09-13 15:18:45 UTC
With KDE 4.5 and KDEPIM 4.4 (both current branches) I can offer:

[KCrash Handler]
#6  0x00007fd475f86db0 in begin (this=0x2e2b620, msg=0x506f380) at /D/build/kde4/stable/kdepim/kmail/kmacctimap.moc:102
#7  begin (this=0x2e2b620, msg=0x506f380) at /D/src/kde4/qt/include/QtCore/../../src/corelib/tools/qlist.h:248
#8  first (this=0x2e2b620, msg=0x506f380) at /D/src/kde4/qt/include/QtCore/../../src/corelib/tools/qlist.h:263
#9  KMAcctImap::ignoreJobsForMessage (this=0x2e2b620, msg=0x506f380) at /D/src/kde4/stable/kdepim/kmail/kmacctimap.cpp:217
#10 0x00007fd476089de4 in KMMoveCommand::execute (this=0x5276ed0) at /D/src/kde4/stable/kdepim/kmail/kmcommands.cpp:2208
#11 0x00007fd47607c355 in KMCommand::slotPostTransfer (this=0x5276ed0, result=KMCommand::OK) at /D/src/kde4/stable/kdepim/kmail/kmcommands.cpp:295
#12 0x00007fd47608566f in KMCommand::qt_metacall (this=0x5276ed0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffbd1a4ea0) at /D/build/kde4/stable/kdepim/kmail/kmcommands.moc:93
#13 0x00007fd476085843 in KMMoveCommand::qt_metacall (this=0x3b1de1168, _c=261816, _id=1970436262, _a=0x7fd4) at /D/build/kde4/stable/kdepim/kmail/kmcommands.moc:1971
#14 0x00007fd48527ef82 in QMetaObject::activate (sender=0x5276ed0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7fd4) at kernel/qobject.cpp:3287
#15 0x00007fd4760781ac in KMCommand::messagesTransfered (this=0x3b1de1168, _t1=KMCommand::OK) at /D/build/kde4/stable/kdepim/kmail/kmcommands.moc:108
#16 0x00007fd47608c6db in KMCommand::transferSelectedMsgs (this=0x5276ed0) at /D/src/kde4/stable/kdepim/kmail/kmcommands.cpp:393
#17 0x00007fd47608c8ca in KMCommand::slotStart (this=0x5276ed0) at /D/src/kde4/stable/kdepim/kmail/kmcommands.cpp:287
Comment 177 Christophe Marin 2010-09-19 00:28:08 UTC
*** Bug 249666 has been marked as a duplicate of this bug. ***
Comment 178 Christophe Marin 2010-09-29 13:23:52 UTC
*** Bug 252558 has been marked as a duplicate of this bug. ***
Comment 179 Christophe Marin 2010-10-15 23:20:35 UTC
*** Bug 254069 has been marked as a duplicate of this bug. ***
Comment 180 Christophe Marin 2010-10-15 23:20:52 UTC
*** Bug 252678 has been marked as a duplicate of this bug. ***
Comment 181 Kai Krakow 2010-10-22 03:07:02 UTC
Created attachment 52741 [details]
New crash information added by DrKonqi

KMail crashed while I was organizing my mails into DIMAP folders. I was using the filter bar to filter mails, mark all, move them to a folder. Then I moved to the next folder, filtered, moved mails. Then I stayed in that folder, filtered for another keyword, and moved these mails to the same folder as last time. System started to choke (slow interactive performance, harddisk thrashing), then KMail crashed.
Comment 182 Kai Krakow 2010-10-22 03:07:02 UTC
Created attachment 52742 [details]
New crash information added by DrKonqi

KMail crashed while I was organizing my mails into DIMAP folders. I was using the filter bar to filter mails, mark all, move them to a folder. Then I moved to the next folder, filtered, moved mails. Then I stayed in that folder, filtered for another keyword, and moved these mails to the same folder as last time. System started to choke (slow interactive performance, harddisk thrashing), then KMail crashed.
Comment 183 andrea-tag 2010-10-30 20:39:35 UTC
Created attachment 52997 [details]
New crash information added by DrKonqi

kmail (1.13.5) on KDE Platform 4.5.1 (KDE 4.5.1) using Qt 4.7.0

The same error. Nothin else

-- Backtrace (Reduced):
#7  ref (this=0xa10fe90) at /usr/include/qt4/QtCore/qatomic_i386.h:120
#8  QList (this=0xa10fe90) at /usr/include/qt4/QtCore/qlist.h:118
#9  KMail::FolderJob::msgList (this=0xa10fe90) at ../../kmail/folderjob.cpp:120
#10 0x0120181d in KMAcctImap::ignoreJobsForMessage (this=0x9ae5d88, msg=0xa3840d0) at ../../kmail/kmacctimap.cpp:217
#11 0x012180d3 in KMFolderImap::ignoreJobsForMessage (this=0x9a7ae88, msg=0xa3840d0) at ../../kmail/kmfolderimap.cpp:1560
Comment 184 thomas 2010-11-04 12:31:19 UTC
Created attachment 53122 [details]
New crash information added by DrKonqi

Try do delete a new unreaded message on an imap server.
Comment 185 Dario Andres 2010-11-17 19:10:37 UTC
[Comment from a bug triager]
According to bug 256136, a similar crash should be fixed in kdepim 4.4.7. I asked the developers to check if this specific crash could also be fixed.
Comment 186 Dario Andres 2010-11-17 19:11:27 UTC
*** Bug 249381 has been marked as a duplicate of this bug. ***
Comment 187 Dario Andres 2010-11-17 19:11:27 UTC
*** Bug 254962 has been marked as a duplicate of this bug. ***
Comment 188 Dario Andres 2010-11-17 19:11:30 UTC
*** Bug 256992 has been marked as a duplicate of this bug. ***
Comment 189 Dario Andres 2010-11-17 19:11:31 UTC
*** Bug 256678 has been marked as a duplicate of this bug. ***
Comment 190 Andre Woebbeking 2010-11-17 19:35:47 UTC
(In reply to comment #185)
> [Comment from a bug triager]
> According to bug 256136, a similar crash should be fixed in kdepim 4.4.7. I
> asked the developers to check if this specific crash could also be fixed.

Not really :-( I still get this crash:

#6  QList (this=0x20000a007b0020) at /D/src/kde4/qt/include/QtCore/../../src/corelib/tools/qlist.h:118
#7  KMail::FolderJob::msgList (this=0x20000a007b0020) at /D/src/kde4/stable/kdepim/kmail/folderjob.cpp:120
#8  0x00007f2d82ab119f in KMAcctImap::ignoreJobsForMessage (this=0x23fff50, msg=0x4cb40f0) at /D/src/kde4/stable/kdepim/kmail/kmacctimap.cpp:217
#9  0x00007f2d82ba6240 in KMMoveCommand::execute (this=0x468fdc0) at /D/src/kde4/stable/kdepim/kmail/kmcommands.cpp:2208
#10 0x00007f2d82b9ae84 in KMCommand::slotPostTransfer (this=0x468fdc0, result=KMCommand::OK) at /D/src/kde4/stable/kdepim/kmail/kmcommands.cpp:295
#11 0x00007f2d82ba215d in KMCommand::qt_metacall (this=0x468fdc0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffa632d1a0) at /D/build/kde4/stable/kdepim/kmail/kmcommands.moc:93
#12 0x00007f2d82ba5b93 in KMMoveCommand::qt_metacall (this=0x468fdc0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffa632d1a0) at /D/build/kde4/stable/kdepim/kmail/kmcommands.moc:1971
#13 0x00007f2d91c4d4ef in QMetaObject::activate (sender=0x468fdc0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7fffa632d1a0) at kernel/qobject.cpp:3278
#14 0x00007f2d82b932e0 in KMCommand::messagesTransfered (this=<value optimized out>, _t1=KMCommand::OK) at /D/build/kde4/stable/kdepim/kmail/kmcommands.moc:108
#15 0x00007f2d82b9aac5 in KMCommand::transferSelectedMsgs (this=0x468fdc0) at /D/src/kde4/stable/kdepim/kmail/kmcommands.cpp:393
#16 0x00007f2d82b9acbc in KMCommand::slotStart (this=0x468fdc0) at /D/src/kde4/stable/kdepim/kmail/kmcommands.cpp:287
Comment 191 Christophe Marin 2010-11-29 14:06:11 UTC
*** Bug 257998 has been marked as a duplicate of this bug. ***
Comment 192 Christophe Marin 2010-12-06 13:54:28 UTC
*** Bug 258950 has been marked as a duplicate of this bug. ***
Comment 193 clara.schuster 2011-01-03 17:08:57 UTC
Created attachment 55523 [details]
New crash information added by DrKonqi

kontact (4.4.6) on KDE Platform 4.5.1 (KDE 4.5.1) using Qt 4.7.0

- What I was doing when the application crashed:
Deleting Mails from an IMAP email-account in KMail

-- Backtrace (Reduced):
#6  ref (this=0x2f55100) at /usr/include/qt4/QtCore/qatomic_x86_64.h:121
#7  QList (this=0x2f55100) at /usr/include/qt4/QtCore/qlist.h:118
#8  KMail::FolderJob::msgList (this=0x2f55100) at ../../kmail/folderjob.cpp:120
#9  0x00007f319b126df3 in KMAcctImap::ignoreJobsForMessage (this=0x2187af0, msg=0x2ef3df0) at ../../kmail/kmacctimap.cpp:217
#10 0x00007f319b23d627 in KMMoveCommand::execute (this=0x2c67a70) at ../../kmail/kmcommands.cpp:2208
Comment 194 p92 2011-01-06 16:41:25 UTC
Created attachment 55649 [details]
New crash information added by DrKonqi

kontact (4.4.9) on KDE Platform 4.5.4 (KDE 4.5.4) using Qt 4.7.0

- What I was doing when the application crashed:
I also still have this type of crash
I got it when using delete key very quickly on mails from an imap folder

-- Backtrace (Reduced):
#6  QList (this=0x50) at /usr/include/qt4/QtCore/qlist.h:118
#7  KMail::FolderJob::msgList (this=0x50) at ../../kmail/folderjob.cpp:120
#8  0x00007f93fb601b9a in KMAcctImap::ignoreJobsForMessage (this=0x153dd90, msg=<value optimized out>) at ../../kmail/kmacctimap.cpp:217
#9  0x00007f93fb7178e7 in KMMoveCommand::execute (this=0x41210d0) at ../../kmail/kmcommands.cpp:2208
#10 0x00007f93fb70693a in KMCommand::slotPostTransfer (this=0x41210d0, result=KMCommand::OK) at ../../kmail/kmcommands.cpp:295
Comment 195 Christophe Marin 2011-01-08 12:22:38 UTC
*** Bug 262442 has been marked as a duplicate of this bug. ***
Comment 196 Christophe Marin 2011-01-22 14:27:48 UTC
*** Bug 263924 has been marked as a duplicate of this bug. ***
Comment 197 Dimitrios Glentadakis 2011-01-30 08:51:22 UTC
Created attachment 56651 [details]
New crash information added by DrKonqi

kontact (4.4.9) on KDE Platform 4.5.5 (KDE 4.5.5) using Qt 4.7.1

- What I was doing when the application crashed:
I deleted a little fast multiple mails from imap account incoming folder

-- Backtrace (Reduced):
#7  ref (this=0x9f74680) at /usr/lib/qt4/include/QtCore/qatomic_i386.h:120
#8  QList (this=0x9f74680) at /usr/lib/qt4/include/QtCore/qlist.h:118
#9  KMail::FolderJob::msgList (this=0x9f74680) at /usr/src/debug/kdepim-4.4.9/kmail/folderjob.cpp:120
#10 0xab203a60 in KMAcctImap::ignoreJobsForMessage (this=0xa289a40, msg=0x9588150) at /usr/src/debug/kdepim-4.4.9/kmail/kmacctimap.cpp:217
#11 0xab21a933 in KMFolderImap::ignoreJobsForMessage (this=0x99cd590, msg=0x9588150) at /usr/src/debug/kdepim-4.4.9/kmail/kmfolderimap.cpp:1560
Comment 198 Christophe Marin 2011-02-06 21:14:16 UTC
*** Bug 265639 has been marked as a duplicate of this bug. ***
Comment 199 Christophe Marin 2011-02-14 13:22:32 UTC
*** Bug 264191 has been marked as a duplicate of this bug. ***
Comment 200 Christophe Marin 2011-02-14 14:03:35 UTC
*** Bug 262472 has been marked as a duplicate of this bug. ***
Comment 201 Christophe Marin 2011-02-14 14:06:28 UTC
*** Bug 262334 has been marked as a duplicate of this bug. ***
Comment 202 Christophe Marin 2011-02-14 18:26:18 UTC
*** Bug 237366 has been marked as a duplicate of this bug. ***
Comment 203 Christophe Marin 2011-02-14 20:00:01 UTC
*** Bug 231297 has been marked as a duplicate of this bug. ***
Comment 204 Christophe Marin 2011-02-14 23:34:35 UTC
*** Bug 264828 has been marked as a duplicate of this bug. ***
Comment 205 Shoham Levy 2011-02-19 18:35:28 UTC
Created attachment 57380 [details]
New crash information added by DrKonqi

kontact (4.4.6) on KDE Platform 4.5.1 (KDE 4.5.1) using Qt 4.7.0

I was browding my inbox. Every time I reach a specific email, it crashes kmail. I tried avoiding showing this email by selecting another email, and then ctrl+click on the problematic email (I wanted to delete the messages). Unfortunately, even if not viewed, the offending ctrl+clicking email crashes kmail as well.

-- Backtrace (Reduced):
#6  KHTMLPart::findFrameParent (this=0x0, callingPart=0x0, f=..., childFrame=0x7ffff272d2b8) at ../../khtml/khtml_part.cpp:5185
#7  0x00007ffa4758a835 in KHTMLPart::findFrame (this=0x0, f=...) at ../../khtml/khtml_part.cpp:5215
#8  0x00007ffa47672176 in DOM::HTMLFrameElementImpl::ensureUniqueName (this=0x2b7c280) at ../../khtml/html/html_baseimpl.cpp:277
#9  0x00007ffa47672923 in DOM::HTMLIFrameElementImpl::parseAttribute (this=0x2b7c280, attr=0x2b7c120) at ../../khtml/html/html_baseimpl.cpp:748
#10 0x00007ffa4761b8d5 in DOM::ElementImpl::setAttributeMap (this=0x2b7c290, list=<value optimized out>) at ../../khtml/xml/dom_elementimpl.cpp:586
Comment 206 Christophe Marin 2011-03-02 21:59:28 UTC
*** Bug 267501 has been marked as a duplicate of this bug. ***
Comment 207 Christophe Marin 2011-04-10 14:44:59 UTC
*** Bug 270485 has been marked as a duplicate of this bug. ***
Comment 208 Christophe Marin 2011-04-13 14:50:10 UTC
*** Bug 270832 has been marked as a duplicate of this bug. ***
Comment 209 Christophe Marin 2011-04-13 14:50:46 UTC
*** Bug 269534 has been marked as a duplicate of this bug. ***
Comment 210 Christophe Marin 2011-04-24 14:57:14 UTC
*** Bug 267983 has been marked as a duplicate of this bug. ***
Comment 211 Christophe Marin 2011-05-04 01:47:20 UTC
The crash cannot be reproduced in KMail2. The fix will be in kdepim 4.6
Comment 212 Christophe Marin 2011-05-04 01:48:18 UTC
cleaning the CC list.
Comment 213 Christophe Marin 2011-05-04 16:25:59 UTC
*** Bug 267372 has been marked as a duplicate of this bug. ***
Comment 214 Christophe Marin 2011-05-10 09:48:07 UTC
*** Bug 272898 has been marked as a duplicate of this bug. ***
Comment 215 Christophe Marin 2011-05-19 20:51:33 UTC
*** Bug 273662 has been marked as a duplicate of this bug. ***
Comment 216 Christophe Marin 2011-05-24 15:29:48 UTC
*** Bug 274028 has been marked as a duplicate of this bug. ***
Comment 217 Christophe Marin 2011-06-06 17:18:32 UTC
*** Bug 274450 has been marked as a duplicate of this bug. ***
Comment 218 Christophe Marin 2011-06-15 19:37:36 UTC
*** Bug 275453 has been marked as a duplicate of this bug. ***
Comment 219 Christophe Marin 2011-07-08 09:10:10 UTC
*** Bug 276284 has been marked as a duplicate of this bug. ***
Comment 220 Christophe Marin 2011-07-08 12:56:15 UTC
*** Bug 277355 has been marked as a duplicate of this bug. ***
Comment 221 Christophe Marin 2011-07-09 10:20:16 UTC
Clearing the CC list. The issue is fixed in kdepim > 4.6
Comment 222 Christophe Marin 2011-07-11 09:01:52 UTC
*** Bug 277529 has been marked as a duplicate of this bug. ***
Comment 223 Christophe Marin 2011-08-01 09:44:19 UTC
*** Bug 278585 has been marked as a duplicate of this bug. ***
Comment 224 Christophe Marin 2011-08-28 14:40:51 UTC
*** Bug 280831 has been marked as a duplicate of this bug. ***
Comment 225 Christophe Marin 2011-08-28 14:49:29 UTC
*** Bug 280610 has been marked as a duplicate of this bug. ***
Comment 226 Christophe Marin 2011-09-28 13:15:02 UTC
*** Bug 256136 has been marked as a duplicate of this bug. ***
Comment 227 Christophe Marin 2011-09-30 08:11:02 UTC
*** Bug 283069 has been marked as a duplicate of this bug. ***
Comment 228 Christophe Marin 2011-09-30 08:11:17 UTC
*** Bug 282087 has been marked as a duplicate of this bug. ***
Comment 229 Christophe Marin 2011-10-09 15:55:45 UTC
*** Bug 283645 has been marked as a duplicate of this bug. ***
Comment 230 swisskomputer 2012-06-13 01:14:00 UTC
Created attachment 71780 [details]
New crash information added by DrKonqi

kontact (4.4.10) on KDE Platform 4.6.5 (4.6.5) using Qt 4.7.2

- What I was doing when the application crashed: Reporting emails as spam crashes contact and thus kmail

-- Backtrace (Reduced):
#7  ref (this=0xa6b0768) at /usr/include/qt4/QtCore/qatomic_i386.h:120
#8  QList (this=0xa6b0768) at /usr/include/qt4/QtCore/qlist.h:118
#9  KMail::FolderJob::msgList (this=0xa6b0768) at ../../kmail/folderjob.cpp:120
#10 0xb3407466 in KMAcctImap::ignoreJobsForMessage (this=0x93faaa0, msg=0x9ef6b78) at ../../kmail/kmacctimap.cpp:217
#11 0xb3419973 in KMFolderImap::ignoreJobsForMessage (this=0x940fcd0, msg=0x9ef6b78) at ../../kmail/kmfolderimap.cpp:1560